Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 238554 - net-im/ekiga-3.2.0 version bump
Summary: net-im/ekiga-3.2.0 version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: voip herd (OBSOLETE)
URL: http://www.ekiga.org
Whiteboard:
Keywords: InOverlay
Depends on: 238610 238617
Blocks: gnome2.24 265470
  Show dependency tree
 
Reported: 2008-09-24 09:42 UTC by Thomas Raschbacher
Modified: 2009-07-11 20:53 UTC (History)
41 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch for ekiga-2.0.12 to ekiga-3.0.0 (ekiga-2.0.12_3.0.0.patch,3.80 KB, patch)
2008-09-26 02:24 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff
Full text net-im/ekiga-3.0.0 ebuild (ekiga-3.0.0.ebuild,1.98 KB, text/plain)
2008-09-26 02:25 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Patch for ekiga-2.0.12 to ekiga-3.0.0 (ekiga-2.0.12_3.0.0.patch,3.80 KB, patch)
2008-09-26 12:44 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff
Full text net-im/ekiga-3.0.0 (ekiga-3.0.0.ebuild,1.98 KB, text/plain)
2008-09-26 12:46 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Patch for ekiga-2.0.12 to ekiga-3.0.0 (ekiga-2.0.12_3.0.0.patch,3.83 KB, patch)
2008-09-29 05:20 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff
Full text net-im/ekiga-3.0.0 (ekiga-3.0.0.ebuild,2.00 KB, text/plain)
2008-09-29 05:21 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
build log (build.log,530.50 KB, text/plain)
2008-10-02 10:44 UTC, Olexiy Davydov
Details
Patch for ekiga-2.0.12 to ekiga-3.0.0 (ekiga-2.0.12_3.0.0.patch,4.54 KB, patch)
2008-10-03 01:57 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff
Full text net-im/ekiga-3.0.0 ebuild (ekiga-3.0.0.ebuild,2.71 KB, text/plain)
2008-10-03 01:58 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
EAPI 2 ebuild (ekiga-3.0.0.ebuild,2.09 KB, text/plain)
2008-10-05 18:06 UTC, Michał Górny
Details
Install log of ekiga with +gconf and "gconftool-2 --shutdown" removed (ekiga-install.txt,179.48 KB, text/plain)
2008-10-08 23:10 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Full text net-im/ekiga-3.0.0 ebuild (ekiga-3.0.0.ebuild,2.53 KB, text/plain)
2008-10-09 21:50 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Patch for ekiga-2.0.12 to ekiga-3.0.0 (ekiga-2.0.12_3.0.0.patch,4.51 KB, patch)
2008-10-09 21:51 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff
Patch for ekiga-3.0.0.ebuild to get an EAPI 2 compatible ebuild (ekiga-3.0.0-eapi2.patch,1.97 KB, patch)
2008-10-09 23:39 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff
Full text net-im/ekiga-3.0.0 ebuild (ekiga-3.0.0.ebuild,2.65 KB, text/plain)
2008-10-10 17:30 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Patch for ekiga-2.0.12 to ekiga-3.0.0 (ekiga-2.0.12_3.0.0.patch,4.64 KB, patch)
2008-10-10 17:31 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff
ebuild for 3.0.1, no changes necessary (ekiga-3.0.1.ebuild,2.65 KB, text/plain)
2008-10-22 00:07 UTC, George Wu
Details
Ebuild for ekiga-3.0.1 (ekiga-3.0.1.ebuild,2.63 KB, text/plain)
2008-10-25 19:40 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Ebuild for ekiga-3.0.1 (ekiga-3.0.1.ebuild,1.94 KB, text/plain)
2009-01-05 00:30 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Ebuild for ekiga-3.0.1 (ekiga-3.0.1.ebuild,2.17 KB, text/plain)
2009-01-10 02:17 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Ebuild for ekiga-3.0.1 (ekiga-3.0.1.ebuild,2.16 KB, text/plain)
2009-01-14 01:19 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Ebuild for ekiga-3.0.2 (ekiga-3.0.2.ebuild,2.16 KB, text/plain)
2009-01-16 03:00 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Ebuild for ekiga-3.0.2 (ekiga-3.0.2.ebuild,2.14 KB, text/plain)
2009-01-19 05:41 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Ebuild for ekiga-3.1.0 (ekiga-3.1.0.ebuild,2.93 KB, text/plain)
2009-01-27 23:02 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Ebuild for ekiga-3.1.0 (ekiga-3.1.0.ebuild,2.94 KB, text/plain)
2009-02-23 04:22 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Ebuild for ekiga-3.0.2 (ekiga-3.0.2.ebuild,1.92 KB, text/plain)
2009-02-23 04:39 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Ebuild for ekiga-3.1.0 (ekiga-3.1.0.ebuild,2.71 KB, text/plain)
2009-02-23 04:40 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Patch for ekiga 3.1.0 configure script (ekiga-3.1.0.ebuild,2.71 KB, patch)
2009-02-28 20:00 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff
Patch for ekiga 3.1.0 configure script (ekiga-3.1.0-configure.ac.patch,1.42 KB, patch)
2009-03-09 11:57 UTC, Sytse Wielinga
Details | Diff
Ebuild for ekiga-3.0.2 from the voip overlay (ekiga-3.0.2.ebuild,4.58 KB, text/plain)
2009-03-18 14:45 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
Patch needed by ekiga-3.0.2 (at least) (ekiga-3.0.2-ptracing.patch,5.57 KB, patch)
2009-03-18 14:46 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff
ptlib-2.6.1-r1.ebuild (ptlib-2.6.1-r1.ebuild,7.21 KB, text/plain)
2009-03-23 01:27 UTC, dongxu li
Details
opal-3.6.1-r1.ebuild (opal-3.6.1-r1.ebuild,5.33 KB, text/plain)
2009-03-23 01:28 UTC, dongxu li
Details
ekiga-3.2.0-r1.ebuild (ekiga-3.2.0-r1.ebuild,1.67 KB, text/plain)
2009-03-23 01:30 UTC, dongxu li
Details
ekiga die badly when trying to access the preferences (without debug) (ekiga-d0.txt,4.48 KB, text/plain)
2009-03-26 19:15 UTC, Raphaël Droz
Details
ekiga dies badly when trying to access the preferences (with debug) (ekiga-d1.txt,4.79 KB, text/plain)
2009-03-26 19:16 UTC, Raphaël Droz
Details
ekiga output when clicking over "Preferences" in the "Edition" menu (ekiga_output.log,6.23 KB, text/plain)
2009-03-29 21:24 UTC, Raphaël Droz
Details
ltrace dump of ekiga (or rather gtk) segfaulting (ekiga_ltrace.log,522.07 KB, text/plain)
2009-03-29 21:25 UTC, Raphaël Droz
Details
Ebuild for ekiga-3.2.0 (ekiga-3.2.0.ebuild,6.29 KB, text/plain)
2009-04-01 02:19 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
ekiga-3.2.0-configure.patch (ekiga-3.2.0-configure.patch,974 bytes, patch)
2009-04-01 02:22 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff
ekiga-3.2.0-ptracing.patch (ekiga-3.2.0-ptracing.patch,4.95 KB, patch)
2009-04-01 02:22 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff
ekiga-3.2.0-xcap.patch (ekiga-3.2.0-xcap.patch,2.58 KB, patch)
2009-04-01 02:24 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details | Diff
opal-3.6.1 config.log (config.log,19.29 KB, text/plain)
2009-04-01 14:45 UTC, Manfred Knick
Details
temp/build.log :: QtCore error (build.log,474.87 KB, text/plain)
2009-04-02 06:36 UTC, Manfred Knick
Details
Ekiga 3.2.0 compile time error (Ekiga 3.2.0 Compile Time Error:.html,11.24 KB, text/html)
2009-04-15 21:07 UTC, Bent Bagger
Details
Ebuild for ekiga-3.2.0 (-r1) (ekiga-3.2.0-r1.ebuild,6.25 KB, text/plain)
2009-04-16 02:54 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
patch to avoid the preferences segfault (ekiga-3.2.0-pref.patch,1.04 KB, patch)
2009-04-16 13:12 UTC, Raphaël Droz
Details | Diff
Ebuild for ekiga-3.2.0 (-r2) (ekiga-3.2.0-r2.ebuild,6.26 KB, text/plain)
2009-04-18 22:27 UTC, Mounir Lamouri (volkmar) (RETIRED)
Details
ptlib-2.6.2.ebuild (ptlib-2.6.2.ebuild,9.02 KB, text/plain)
2009-05-21 05:38 UTC, dongxu li
Details
opal-3.6.2.ebuild (opal-3.6.2.ebuild,7.85 KB, text/plain)
2009-05-21 05:39 UTC, dongxu li
Details
ekiga-3.2.1.ebuild (ekiga-3.2.1.ebuild,5.69 KB, text/plain)
2009-05-21 05:41 UTC, dongxu li
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Raschbacher gentoo-dev 2008-09-24 09:42:31 UTC
new version + also new opal and ptlib
Comment 1 Tobias Jakobi 2008-09-25 01:53:27 UTC
Yeah! Requesting a version bump!

Ekiga is really great, but version 2.x is lacking a lot of features.

Greets,
Tobias
Comment 2 Jan Buecken 2008-09-25 14:26:39 UTC
Yes! Wish to see it in portage...
Comment 3 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-09-26 02:24:29 UTC
Created attachment 166441 [details, diff]
Patch for ekiga-2.0.12 to ekiga-3.0.0

Here is a patch for ekiga-2.0.12 to ekiga-3.0.0.
Emerging and testing : that's working great ! :)

A lot of modifications, I will not lis them but there are some notes :
- `ekiga-config-tool --fix-permissions` is launched at pkg_postinst when gnome flag is enabled. I commented it : is it still needed ?
- about use flag, i ignored an option, "dbus-service" and gdu is enable only if gnome and doc are enable. What do you think about that ?

dev-libs/ptlib-2.4.1 and net-libs/opal-3.4.1 ebuilds are available in depend bugs.
Comment 4 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-09-26 02:25:52 UTC
Created attachment 166443 [details]
Full text net-im/ekiga-3.0.0 ebuild

For those who don't want to patch.
Comment 5 Markus Luisser 2008-09-26 06:08:36 UTC
I had to change the line

eds? ( gnome-extra/evolution-data-server >= 1.2 )

to 

eds? ( >=gnome-extra/evolution-data-server-1.2 )

Apart from that it works fine for me on amd64 :)
Comment 6 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-09-26 12:44:49 UTC
Created attachment 166504 [details, diff]
Patch for ekiga-2.0.12 to ekiga-3.0.0

Oups, evolution-data-server dependency was miswrited.
It's now fixed.
Comment 7 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-09-26 12:46:11 UTC
Created attachment 166506 [details]
Full text net-im/ekiga-3.0.0

Fixed full text ebuild.
Comment 8 Jeroen Roovers gentoo-dev 2008-09-26 13:49:18 UTC
*** Bug 238610 has been marked as a duplicate of this bug. ***
Comment 9 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-09-26 14:26:04 UTC
(In reply to comment #5)
> I had to change the line
> 
> eds? ( gnome-extra/evolution-data-server >= 1.2 )
> 
> to 
> 
> eds? ( >=gnome-extra/evolution-data-server-1.2 )
> 
> Apart from that it works fine for me on amd64 :)
> 

Did you emerge ekiga with USE=gnome ?
If so, did you have to launch `ekiga-config-tool --fix-permissions` ? or it was just working out of the box ?
Comment 10 David 2008-09-29 03:56:01 UTC
I did get the ekiga-3.0.0 ebuild to work on amd64.  However, during the first build I encountered error

Makefile:1204: *** unterminated call to function `shell': missing `)'.  Stop.

I think I had make 3.80 installed.  The problem was related to a # inside a multi-line $(shell) command.  It was interpreted as the beginning of a make comment so the \ was not interpreted properly to continue to the next line.  See line 1206 of src/Makefile.in.

This behavior changed in make 3.81.  Confirmed on line 55 of the make-3.81 NEWS file.  I installed make-3.81, and then the ekiga build worked.  You might consider adding a >=sys-devel/make-3.81 dependency to the ekiga ebuild.
Comment 11 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-09-29 05:20:54 UTC
Created attachment 166729 [details, diff]
Patch for ekiga-2.0.12 to ekiga-3.0.0

Bug confirmed.

Here is the fixed patch to ekiga-3.0.0.
Comment 12 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-09-29 05:21:51 UTC
Created attachment 166730 [details]
Full text net-im/ekiga-3.0.0

and the fixed full text ebuild
Comment 13 Gilles Dartiguelongue gentoo-dev 2008-09-29 08:39:27 UTC
adding gnome since this is on the module list for gnome 2.24
Comment 14 Olexiy Davydov 2008-10-02 08:36:48 UTC
Ekiga compilation fails in such a way:

/usr/lib/gcc/i686-pc-linux-gnu/4.3.1/../../../../i686-pc-linux-gnu/bin/ld: cannot find -lopal_d
collect2: ld returned 1 exit status


Portage 2.2_rc11 (default/linux/x86/2008.0/desktop, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.26-gentoo-r1 i686)
=================================================================
System uname: Linux-2.6.26-gentoo-r1-i686-AMD_Athlon-tm-_XP_2500+-with-glibc2.0
Timestamp of tree: Thu, 02 Oct 2008 07:15:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r8
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r8
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://mirror.netcologne.de/gentoo/ http://mirror.yandex.ru/gentoo-distfiles/ "
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="ru uk en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/sunrise /usr/portage/local/layman/gnome /usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 7zip X a52 aac aalib acpi administrator alsa amazon applet artworkextra audacious auto-completion bash-completion berkdb bind-mysql branding bzip2 cairo ccache cdda cddb cdr chm chroot cli colordiff consolekit cpudetection cracklib crypt cups curl curlwrappers cursors cyrillic dbus deskbar devhelp dia discouraged divx djvu dnd dri dvd dvdr dvdread dvi eds emacs emboss emerald enca encode epiphany esd evo exif expat fam fbcon fbcondecor fbsplash ffmpeg fftw firefox flac foomaticdb fortran freetts ftp fuse gconf gd gdbm gdm gecko gedit geoip gif glade glibc-omitfp glitz gmail gnome gnome-keyring gnome-print gnutls gpm grammar grub gs gstreamer gtk gtkhtml guile hal hddtemp icons iconv icq id3 id3tag imagemagick imap inherit-graph inkjar isdnlog jabber java javascript jingle jpeg justify lame latex lcms libnotify lights lm_sensors logrotate lzma mad make-symlinks maps midi mikmod mime mmx mmxext mng mp3 mp4 mpeg mplayer mudflap mule music musicbrainz nano-syntax nautilus ncurses network-cron networking nforce2 nls nocd nousuid nptl nptlonly nsplugin ntfs ogg openal opengl openmp openssh openssl oscar pam pango pcap pcre pdf perl php pidgin pixmaps png ppds pppd prediction print python quicktime rar readline reflection replytolist resolvconf rss scanner science scrobbler sdl sensord session slang sound sounds sourceview sox spell spl sqlite sse ssl startup-notification stlport subversion svg sysfs tagwriting tcpd theora thunderbird tiff timidity tracker trayicon truetype twolame type1 unicode usb userlocales valgrind vcd vim vim-pager vim-with-x vorbis wav wavpack win32codecs wma wmp workbench wxwindows x264 x86 xhtml xml xorg xosd xulrunner xv xvid zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ru uk en" USERLAND="GNU" VIDEO_CARDS="radeon vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 15 Gilles Dartiguelongue gentoo-dev 2008-10-02 08:56:43 UTC
(In reply to comment #14)
> Ekiga compilation fails in such a way:
> 
> /usr/lib/gcc/i686-pc-linux-gnu/4.3.1/../../../../i686-pc-linux-gnu/bin/ld:
> cannot find -lopal_d
> collect2: ld returned 1 exit status

an actual build.log and versions of opal and ptlib would be useful to know.
Comment 16 Olexiy Davydov 2008-10-02 10:44:07 UTC
Created attachment 166972 [details]
build log

Sorry, I'm rather new to bugzilla.
Here's build log attached. 

[I] net-libs/opal
     Available versions:  2.2.11 (~)3.4.1[2] {debug doc java noaudio novideo}
     Installed versions:  3.4.1[2](10:59:45 AM 10/02/2008)(java -debug -doc)

[I] dev-libs/ptlib [1]
     Available versions:  (~)2.4.1 {alsa debug doc ieee1394 ipv6 ldap minimal noaudio novideo oss sasl sdl ssl v4l v4l2 xml}
     Installed versions:  2.4.1(10:52:24 AM 10/02/2008)(alsa sdl ssl xml -debug -doc -ieee1394 -ipv6 -ldap -minimal -noaudio -novideo -oss -sasl -v4l -v4l2)

This is a clean install of all three packages.
Comment 17 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-10-03 01:57:24 UTC
Created attachment 167041 [details, diff]
Patch for ekiga-2.0.12 to ekiga-3.0.0

I found your problem Olexiy. You compiled ptlib and opal without debug useflag but try to compile ekiga with it. I realized it is not possible so here is a fixed ebuild verifying this.

Hope it will now work for you.
Comment 18 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-10-03 01:58:26 UTC
Created attachment 167042 [details]
Full text net-im/ekiga-3.0.0 ebuild

And the fixed full text ebuild.
Comment 19 Olexiy Davydov 2008-10-05 00:07:47 UTC
(In reply to comment #17)
Turns out that I've really enabled debug for ekiga some half a year ago and forgot about it. That helped with the build problem.

> Hope it will now work for you.
> 

Sadly enough, it doesn't. Compilation goes OK, but installation fails giving out a sandbox error. Building with sandbox not enabled in FEATURES doesn't help.
Anyway, thank you for your efforts. Maybe, http://bugs.gentoo.org/show_bug.cgi?id=138938#c9 and bugs 219274 and 220983 will be of any help.


make[1]: Entering directory `/var/tmp/portage/net-im/ekiga-3.0.0/work/ekiga-3.0.0'
make[2]: Entering directory `/var/tmp/portage/net-im/ekiga-3.0.0/work/ekiga-3.0.0'
make[2]: Nothing to be done for `install-exec-am'.
test -z "/usr/share/applications" || /bin/mkdir -p "/var/tmp/portage/net-im/ekiga-3.0.0/image//usr/share/applications"
GCONF_CONFIG_SOURCE=xml:merged:/etc/gconf/gconf.xml.defaults gconftool-2 --makefile-install-rule ekiga.schemas 2>&1 > /dev/null
gconftool-2 --shutdown
 /usr/bin/install -c -m 644 'ekiga.desktop' '/var/tmp/portage/net-im/ekiga-3.0.0/image//usr/share/applications/ekiga.desktop'
ACCESS DENIED  open_wr:   /root/.gconf/.testing.writeability
ACCESS DENIED  unlink:    /root/.gconf/.testing.writeability

(gconftool-2:4046): GConf-WARNING **: None of the resolved addresses are writable; saving configuration settings will not be possible
test -z "/etc/gconf/schemas" || /bin/mkdir -p "/var/tmp/portage/net-im/ekiga-3.0.0/image//etc/gconf/schemas"
 /usr/bin/install -c -m 644 'ekiga.schemas' '/var/tmp/portage/net-im/ekiga-3.0.0/image//etc/gconf/schemas/ekiga.schemas'
make[2]: Leaving directory `/var/tmp/portage/net-im/ekiga-3.0.0/work/ekiga-3.0.0'
make[1]: Leaving directory `/var/tmp/portage/net-im/ekiga-3.0.0/work/ekiga-3.0.0'
>>> Completed installing ekiga-3.0.0 into /var/tmp/portage/net-im/ekiga-3.0.0/image/

--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE = "/var/log/sandbox/sandbox-27124.log"

open_wr:   /root/.gconf/.testing.writeability
unlink:    /root/.gconf/.testing.writeability
Comment 20 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2008-10-05 18:06:22 UTC
Created attachment 167349 [details]
EAPI 2 ebuild
Comment 21 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-10-06 03:18:19 UTC
(In reply to comment #19)
> (In reply to comment #17)
> Turns out that I've really enabled debug for ekiga some half a year ago and
> forgot about it. That helped with the build problem.
> 
> > Hope it will now work for you.
> > 
> 
> Sadly enough, it doesn't. Compilation goes OK, but installation fails giving
> out a sandbox error. Building with sandbox not enabled in FEATURES doesn't
> help.
> Anyway, thank you for your efforts. Maybe,
> http://bugs.gentoo.org/show_bug.cgi?id=138938#c9 and bugs 219274 and 220983
> will be of any help.
> 
> 
> make[1]: Entering directory
> `/var/tmp/portage/net-im/ekiga-3.0.0/work/ekiga-3.0.0'
> make[2]: Entering directory
> `/var/tmp/portage/net-im/ekiga-3.0.0/work/ekiga-3.0.0'
> make[2]: Nothing to be done for `install-exec-am'.
> test -z "/usr/share/applications" || /bin/mkdir -p
> "/var/tmp/portage/net-im/ekiga-3.0.0/image//usr/share/applications"
> GCONF_CONFIG_SOURCE=xml:merged:/etc/gconf/gconf.xml.defaults gconftool-2
> --makefile-install-rule ekiga.schemas 2>&1 > /dev/null
> gconftool-2 --shutdown
>  /usr/bin/install -c -m 644 'ekiga.desktop'
> '/var/tmp/portage/net-im/ekiga-3.0.0/image//usr/share/applications/ekiga.desktop'
> ACCESS DENIED  open_wr:   /root/.gconf/.testing.writeability
> ACCESS DENIED  unlink:    /root/.gconf/.testing.writeability
> 
> (gconftool-2:4046): GConf-WARNING **: None of the resolved addresses are
> writable; saving configuration settings will not be possible
> test -z "/etc/gconf/schemas" || /bin/mkdir -p
> "/var/tmp/portage/net-im/ekiga-3.0.0/image//etc/gconf/schemas"
>  /usr/bin/install -c -m 644 'ekiga.schemas'
> '/var/tmp/portage/net-im/ekiga-3.0.0/image//etc/gconf/schemas/ekiga.schemas'
> make[2]: Leaving directory
> `/var/tmp/portage/net-im/ekiga-3.0.0/work/ekiga-3.0.0'
> make[1]: Leaving directory
> `/var/tmp/portage/net-im/ekiga-3.0.0/work/ekiga-3.0.0'
> >>> Completed installing ekiga-3.0.0 into /var/tmp/portage/net-im/ekiga-3.0.0/image/
> 
> --------------------------- ACCESS VIOLATION SUMMARY
> ---------------------------
> LOG FILE = "/var/log/sandbox/sandbox-27124.log"
> 
> open_wr:   /root/.gconf/.testing.writeability
> unlink:    /root/.gconf/.testing.writeability
> 

If you have copied all messages, you should add this before src_install :
src_compile() {
    addpredict $(unset HOME; echo ~)/.gconf
    gnome2_src_compile
}

If it does not work anymore, add this line after the "addpredict [...]" :
addpredict $(unset HOME; echo ~)/.gconfd
But you shouldn't.

Let me know how it works.
Comment 22 Olexiy Davydov 2008-10-06 04:32:59 UTC
(In reply to comment #21)

> If you have copied all messages, you should add this before src_install :
> src_compile() {
>     addpredict $(unset HOME; echo ~)/.gconf
>     gnome2_src_compile
> }
> 
> If it does not work anymore, add this line after the "addpredict [...]" :
> addpredict $(unset HOME; echo ~)/.gconfd
> But you shouldn't.
> 
> Let me know how it works.
> 

Works wonderfully :) Thanks. I wasn't sure where to put that fragment. "addpredict $(unset HOME; echo ~)/.gconfd" wasn't needed.
Comment 23 Rémi Cardona gentoo-dev 2008-10-06 07:01:05 UTC
(In reply to comment #22)
> Works wonderfully :) Thanks. I wasn't sure where to put that fragment.
> "addpredict $(unset HOME; echo ~)/.gconfd" wasn't needed.

That is not a proper fix. GConf has no need to have access to /root for a normal install. Please try to figure out why this is happening and try to disable it.

addpredict is not a Plan B, it's a last resort when other options have been tried.

Thanks
Comment 24 Gilles Dartiguelongue gentoo-dev 2008-10-06 07:05:23 UTC
according to build.log, it looks like gconftool --shutdown is called. This should be removed.
Comment 25 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-10-08 13:47:48 UTC
Looks like the issue come from Makefile.am from lines 58 to 76 (end).
More precisely, with schemas installation that is disabled if gconf is disabled. Here is the executed code :

GCONF_CONFIG_SOURCE=$(GCONF_SCHEMA_CONFIG_SOURCE) gconftool-2 --makefile-install-rule $(SCHEMAS_FILE) 2>&1 > /dev/null
gconftool-2 --shutdown

If someone knows about schemas and gconf, it would be great to see what can be done.

(looks like many ebuilds are fixing this with addpredict)
Comment 26 Rémi Cardona gentoo-dev 2008-10-08 14:07:12 UTC
(In reply to comment #25)
> gconftool-2 --shutdown

1) the ebuild should patch/edit this part. A simple sed on the corresponding Makefile.in (yes, .in) should do the trick. There are a few examples in portage and in the Gnome overlay.

2) Upstream should be notified of this. Here's a snippet from gconftool-2's help message :

 --shutdown   Shut down gconfd. DON'T USE THIS OPTION WITHOUT GOOD REASON.

'nuff said :)

> (looks like many ebuilds are fixing this with addpredict)

And this is not a good *overall* solution. Improper use of gconf should be fixed upstream. Only special exceptions should use addpredict.

Thanks :)
Comment 27 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-10-08 23:10:55 UTC
Created attachment 167678 [details]
Install log of ekiga with +gconf and "gconftool-2 --shutdown" removed

As I was thinking, "gconftool-2 --shutdown" is not the only cause of the issue. There is another access violation on /etc/gconf/gconf.xml.defaults/.testing.writeability

Looks to come from : GCONF_CONFIG_SOURCE=xml:merged:/etc/gconf/gconf.xml.defaults gconftool-2 --makefile-install-rule ekiga.schemas
I don't know why GCONF_CONFIG_SOURCE is needed neither why it is set to /etc/gconf/gconf.xml.defaults. Another time, if someone knows about gconf, I'm waiting for you :)
Comment 28 Rémi Cardona gentoo-dev 2008-10-09 10:10:08 UTC
Sigh, I should have looked at the proposed ebuild first:

src_install() {
	if use gnome; then
		gnome2_src_install
	else
		emake DESTDIR="${D}" install || die "emake install failed"

		dodoc ${DOCS} || die "dodoc failed"
	fi
}

pkg_postinst() {
	if use gnome; then
		gnome2_pkg_postinst

		# Note : someone has to test if it's needed
		# we need to fix the GConf permissions, see bug #59764
#		einfo "Fixing GConf permissions for ekiga"
#		ekiga-config-tool --fix-permissions
	fi

	if ! use gnome; then
		ewarn "USE=-gnome is experimental, some weirdness with the UI and \
config keys should appear."
	fi
}

Well... that's your problem right there. Please read the gnonme2 eclass and you'll understand why you shouldn't do that in your ebuild. The eclass does exactly what is needed for ekiga, and especially how it deals with GConf. It's called gnome2 but it should be called "gtk-gconf-scrollkeeper-gstreamer". Nothing it does forces the use of Gnome: it only _handles_ core Gnome libs and tools.

This ebuild as it is today is _not_ ready for inclusion in Portage.

Please read the gnome2.eclass, it's not that hard :) If you have any questions about its code, don't hesitate to ask, we'll gladly help.

Cheers
Comment 29 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-10-09 21:50:26 UTC
Created attachment 167810 [details]
Full text net-im/ekiga-3.0.0 ebuild

I've done a big mistake by assuming previous ebuild was calling gnome2 eclass functions only when gnome flag is on. Actually, ekiga-2* hadn't gconf flag and all gconf stuff was going with gnome stuff.

Thank you for your advices Rémi. I had read gnome2 eclass but as I was not looking for gconf fixes, I did not think to check gnome2-utils.
So, I realized src_install can be gnome2 one and gnome2_pkg_postinst can be called even if gnome and gconf flags are off... and it fixes gconf access violation.

I also took some time to enhance some other things (doc installation and dbus services fix).
I hope all is going to be fine now.
Comment 30 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-10-09 21:51:36 UTC
Created attachment 167812 [details, diff]
Patch for ekiga-2.0.12 to ekiga-3.0.0
Comment 31 Rémi Cardona gentoo-dev 2008-10-09 22:34:11 UTC
This ebuild looks indeed much better than the old one :) Thanks for your work on this.

Now I guess we just need more testing... @team, what say you about putting in p.mask?

Cheers
Comment 32 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-10-09 23:39:31 UTC
Created attachment 167828 [details, diff]
Patch for ekiga-3.0.0.ebuild to get an EAPI 2 compatible ebuild

This patch is based on Micha? Górny ebuild and has to be performed on last ekiga-3.0.0.ebuild
Comment 33 Rémi Cardona gentoo-dev 2008-10-10 06:10:46 UTC
Mounir, don't waste time creating EAPI=2 ebuilds as we definitely won't be putting any in portage for now. Portage 2.2 is more or less broken with EAPI=2 ebuilds and we hope to put Gnome 2.24 in Portage before portage 2.2 is stabled.

Cheers :)
Comment 34 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-10-10 17:30:24 UTC
Created attachment 167890 [details]
Full text net-im/ekiga-3.0.0 ebuild

Ok. But I can improve the ebuild with slotting dependencies ? :)
Here is a new version with EAPI 1 features and some minor enhancements (die messages for sed and ewarn in two lines).
Comment 35 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-10-10 17:31:14 UTC
Created attachment 167892 [details, diff]
Patch for ekiga-2.0.12 to ekiga-3.0.0

See above.
Comment 36 George Wu 2008-10-22 00:07:52 UTC
Created attachment 169366 [details]
ebuild for 3.0.1, no changes necessary
Comment 37 George Wu 2008-10-25 07:52:31 UTC
is voip still interested in maintaining this package?
Comment 38 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-10-25 19:40:42 UTC
Created attachment 169866 [details]
Ebuild for ekiga-3.0.1

Actually, ekiga-3.0.1 needs the last ptlib and opal ebuilds and the dbus service file as been partially fixed.

By the way, my sound device is not recognized now... Anyone has the same issue ?
And ekiga team tolds me gconftool --shutdown _is_ needed. I have to check this.
Comment 39 George Wu 2008-10-25 21:05:26 UTC
Comment on attachment 169366 [details]
ebuild for 3.0.1, no changes necessary

obsoleted by Mounir Lamouri's updated ebuild
Comment 40 Aleksandr Yakimov 2008-10-27 10:16:39 UTC
(In reply to comment #38)
> By the way, my sound device is not recognized now... Anyone has the same issue
> ?
Seemes to be AMD64-only related issue.
Comment 41 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-10-27 13:38:33 UTC
(In reply to comment #40)
> (In reply to comment #38)
> > By the way, my sound device is not recognized now... Anyone has the same issue
> > ?
> Seemes to be AMD64-only related issue.
> 

May be not, I'm using a ppc.
Comment 42 Francesco 2008-10-31 13:54:52 UTC
I had the same problem and I solved by installing paxctl (and removing chpax)
Comment 43 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2008-11-08 16:36:43 UTC
I found why sound devices were not recognized sometimes. It's when ptlib was emereged with --as-needed LDFLAG. I've updated ptlib ebuild, bug 238617.
Actually, Francesco, ekiga doesn't use chpax nor paxctl. I don't understand why changing this make it works. Did you also change your LDFLAGS ?

So, Aleksandr, can you tell me if it is working now ?
Comment 44 Aleksandr Yakimov 2008-11-20 09:29:19 UTC
(In reply to comment #43)
> So, Aleksandr, can you tell me if it is working now ?
> 
Yes, now it works.
Comment 45 Patrizio Bassi 2008-11-23 13:20:13 UTC
we want this! :)
Comment 46 Matt Kynx 2008-12-16 10:30:25 UTC
Works for me. Cheers!

The upgrade lost all the phone numbers from my local address book (though strangely not the names) - suspect this is ekiga's fault, not the ebuild's. Might be nice to warn people to back up first, though.
Comment 47 stupendoussteve 2008-12-27 09:13:24 UTC
Is anything happening with this? The ebuilds seem to work, any chance of getting this and it's dependencies into the tree as ~arch at least? Functionally it is much better than the current stable.

Thanks to Mounir Lamouri for the great builds, btw.
Comment 48 David Ferenczi 2009-01-03 18:13:40 UTC
RESTRICT="mirror" was needed, but otherwise the ebuild worked well
Comment 49 Jakub Klawiter 2009-01-03 19:15:25 UTC
works here without any modifications (x86). 
It's good moment to add it into ~arch ... NOW! :)
Comment 50 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-01-05 00:30:00 UTC
Created attachment 177433 [details]
Ebuild for ekiga-3.0.1

Like opal ebuild, I updated this ebuild to use EAPI 2 while it is now available for stable systems.

By the way, according to Gentoo Dev Guide RESTRICT=mirror is for when it is
"legally" not possible to get the tarball from a mirror. Using primaryuri would
try the primary uri first but while it is not in portage, I don't think it's
relevant to change that (it can't be in a gentoo distfiles mirror but I hope it's gonna be...)

No news from voip team ? This ebuild is gonna be in portage ?
Comment 51 Patrizio Bassi 2009-01-05 22:17:44 UTC
ekiga 3.1.0 out
http://blog.ekiga.net/?p=112

hint for the ebuild too:
libgnome is not required anymore when using GTK+ 2.14.
Comment 52 Seerp 2009-01-08 23:03:19 UTC
Won't build for me - but this is the first time I'm trying to build something not in portage.

This is what I did:

Got the newest opal, ptlib and ekiga ebuilds and their patches, put them in the right place and, after unmerging ekiga-2, ran emerge --digest ekiga.

Opal and ptlib compiled fine, but ekiga gave an error not being able to find libgnome and libgnomeui, eventhough the gnome use flag was disabled.

I then tried the previous ebuild (Oct 25th one) and ekiga started compiling, ending in the following error:

x86_64-pc-linux-gnu-g++ -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DPTRACING=1 -D_REENTRANT -fno-exceptions -I/usr/include/opal -DPTRACING=1 -D_REENTRANT -fno-exceptions -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -I/usr/include/libxml2 -march=nocona -O2 -pipe -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -Wl,-O1 -o ekiga accounts.o callbacks.o conf.o dialpad.o assistant.o main.o misc.o preferences.o statusicon.o statusmenu.o videoinput.o videooutput.o audiodev.o ekiga.o manager.o pcss.o opal-account.o opal-bank.o opal-call.o opal-codec-description.o opal-gmconf-bridge.o opal-main.o h323-endpoint.o sip-chat-simple.o sip-dialect.o sip-endpoint.o dbus.o -Wl,--export-dynamic -pthread  ../lib/.libs/libekiga.a -lm ../lib/engine/.libs/libekiga_engine.a /usr/lib64/libpixman-1.so /usr/lib64/libpng12.so /usr/lib64/libXrender.so /usr/lib64/libX11.so /usr/lib64/libXau.so /usr/lib64/libXdmcp.so /usr/lib64/libexpat.so /usr/lib64/libgtk-x11-2.0.so /usr/lib64/libgdk-x11-2.0.so /usr/lib64/libatk-1.0.so /usr/lib64/libgio-2.0.so /usr/lib64/libpangoft2-1.0.so /usr/lib64/libgdk_pixbuf-2.0.so /usr/lib64/libpangocairo-1.0.so /usr/lib64/libcairo.so /usr/lib64/libpango-1.0.so /usr/lib64/libfreetype.so -lz /usr/lib64/libfontconfig.so /usr/lib64/libgmodule-2.0.so /usr/lib64/libgthread-2.0.so -lrt /usr/lib64/libdbus-glib-1.so /usr/lib64/libdbus-1.so /usr/lib64/libgobject-2.0.so /usr/lib64/libglib-2.0.so -lopal /usr/lib64/libspeexdsp.so -lpt -lpthread -lssl -lcrypto -ldl /usr/lib64/libsigc-2.0.so /usr/lib64/libxml2.so  
../lib/engine/.libs/libekiga_engine.a(audiooutput-scheduler.o): In function `Ekiga::AudioEventScheduler::load_wav(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, bool, char*&, unsigned long&, unsigned int&, unsigned int&, unsigned int&, Ekiga::AudioOutputPS&)':
audiooutput-scheduler.cpp:(.text+0x146d): undefined reference to `PWAVFile::PWAVFile(PFilePath const&, PFile::OpenMode, int, unsigned int)'
audiooutput-scheduler.cpp:(.text+0x1536): undefined reference to `PWAVFile::PWAVFile(PFilePath const&, PFile::OpenMode, int, unsigned int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::~PWAVFile()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `virtual thunk to PWAVFile::~PWAVFile()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::Write(void const*, int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::Read(void*, int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `non-virtual thunk to PWAVFile::~PWAVFile()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::SetAutoconvert()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PPipeChannel::IsRunning() const'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PPipeChannel::Execute()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::RawGetPosition() const'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::RawGetDataLength()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::SetFormat(unsigned int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PPipeChannel::ReadStandardError(PString&, bool)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::PWAVFile(PFile::OpenMode, int, unsigned int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PTones::PTones(unsigned int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::GetSampleSize() const'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::Close()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::SetSampleRate(unsigned int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::GetFormat() const'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::~PWAVFile()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `typeinfo for PWAVFile'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::~PWAVFile()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::GetBytesPerSecond() const'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::GetPosition() const'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::SetBytesPerSecond(unsigned int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::PWAVFile(PFilePath const&, PFile::OpenMode, int, unsigned int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::Open(PFilePath const&, PFile::OpenMode, int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::GetDataLength()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::SetFormat(PString const&)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `non-virtual thunk to PWAVFile::~PWAVFile()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PPipeChannel::GetReturnCode() const'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PPipeChannel::~PPipeChannel()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::SetChannels(unsigned int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::SetPosition(long, PFile::FilePositionOrigin)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::SetSampleSize(unsigned int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::PWAVFile(unsigned int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::Open(PFile::OpenMode, int)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PTones::Generate(PString const&)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PPipeChannel::Open(PString const&, PPipeChannel::OpenMode, bool, bool)'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::GetSampleRate() const'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `non-virtual thunk to PWAVFile::~PWAVFile()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PPipeChannel::Close()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PPipeChannel::PPipeChannel()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::GetChannels() const'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `non-virtual thunk to PWAVFile::~PWAVFile()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `virtual thunk to PWAVFile::~PWAVFile()'
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.2/../../../../lib64/libopal.so: undefined reference to `PWAVFile::GetFormatAsString() const'
collect2: ld returned 1 exit status
make[3]: *** [ekiga] Error 1
make[3]: Leaving directory `/var/tmp/portage/net-im/ekiga-3.0.1/work/ekiga-3.0.1/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/net-im/ekiga-3.0.1/work/ekiga-3.0.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-im/ekiga-3.0.1/work/ekiga-3.0.1'
make: *** [all] Error 2


Hope someone can help. Mounir Lamouri, thanks for your work on this!

Please tell me whether more information is needed, I'll gladly supply it.

Cheers, Seerp
Comment 53 Patrizio Bassi 2009-01-08 23:08:52 UTC
recompile libopal i had the same issue with other packages.
Comment 54 Seerp 2009-01-08 23:58:11 UTC
The minimal use flag for ptlib removes wav-support.

Removed this flag and everything is working fine now.

This leaves the first problem with the latest ebuild i guess?

(Opal and ptlib compiled fine, but ekiga gave an error not being able to find
libgnome and libgnomeui, eventhough the gnome use flag was disabled.)

Thanks for your quick reply Patrizio.

Regards, Seerp
Comment 55 Philip White 2009-01-09 21:11:47 UTC
The ekiga-3.0.1 ebuild has a problem for me: it does not specify "--disable-avahi" or "--disable-eds" when the avahi or eds USE-flags are turned off.  As a result, the configure script fails when it doesn't find EDS and Avahi.
Comment 56 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-01-10 02:17:17 UTC
Created attachment 177932 [details]
Ebuild for ekiga-3.0.1

Workaround for gnome2 eclass and eapi 2 (see bug #239123). src_configure was called because of eapi 2 but gnome2_src_configure (with GCONF) was not used. It's why you got error with libgnome.
For ptlib and wavfile support, I add -minimal to ptlib dep in ekiga but it's only temporarly. I've to check what it the best way to manage that. It is not a good way because opal has to be recompiled after ptlib is compiled with -minimal.

Seerp. it should fix all your problems. Yours too, Philip.
Comment 57 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-01-14 01:19:49 UTC
Created attachment 178454 [details]
Ebuild for ekiga-3.0.1

Cleanier way to manage previous bug with minimal use flag enabled in ptlib :
- adding a wav use flag to opal that ekiga force to be enabled
- opal forces minimal use flag to be disabled on ptilb when wav use flag is enabled

After a discussion on #gentoo-dev-help it looks like to be the solution with the best clean/simple ratio ;)
Comment 58 Rémi Cardona gentoo-dev 2009-01-14 09:00:30 UTC
(In reply to comment #57)
> Created an attachment (id=178454) [edit]
> Ebuild for ekiga-3.0.1

Looks much better than the earlier versions, although you shouldn't dep on sys-devel/make as it's part of system.

Thanks
Comment 59 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-01-14 15:49:15 UTC
(In reply to comment #58)
> Looks much better than the earlier versions, although you shouldn't dep on
> sys-devel/make as it's part of system.
> 

Actually, I tought I had to add this dependency because it needs a specific version of sys-devel/make that is not the oldest in portage. (it prevents installing ekiga with sys-devel/make-3.80-r4)
Was I wrong ?
Comment 60 Seerp 2009-01-15 21:31:04 UTC
Mounir, everything is compiling fine now. Many thanks!

Unfortunately I cannot register my ekiga.net sip account with ekiga 3.0.1. So I'm back to ekiga 2.0.12, which works fine. I'll try ekiga 3.0.2 (which was released 3 days ago) this weekend.

Cheers! Seerp
Comment 61 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-01-16 03:00:12 UTC
Created attachment 178661 [details]
Ebuild for ekiga-3.0.2

New version of ekiga (3.0.2). No major changes in the ebuild.
(needs new version of opal and ptlib, see bug #238610 and bug #238617)

Seerp, it should fix your issue with ekiga.net registering. It did it for me.
Comment 62 Seerp 2009-01-16 23:49:48 UTC
This new version does indeed fix my registration problems, but now my webcam stopped working...

(I get an error saying its driver doesn't support any of the color formats of ekiga, never got this error before)

Anyway, thanks for the quickly updated ebuild Mounir!

Cheers, Seerp
Comment 63 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-01-19 05:41:00 UTC
Created attachment 178962 [details]
Ebuild for ekiga-3.0.2

New ebuild using src_prepare instead of src_unpack.
Comment 64 Jakub Klawiter 2009-01-21 09:32:12 UTC
Don't you think that this ebuild (as it is working fine) should be added to portage? Ekiga-3 is blocking gnome-2.24 release, after adding ekiga-3 into ~arch we have to wait a month to move it into gentoo stable. In about 3 months from today Gnome team will release 2.26. 
Comment 65 Gilles Dartiguelongue gentoo-dev 2009-01-21 09:44:17 UTC
please stop whining.

ekiga is not blocking gnome 2.24 stabilization in any way. Where did you get that idea ? ekiga-3 will land in tree when either gnome or voip has enough time to include needed libs.
Comment 66 Kalin KOZHUHAROV 2009-01-24 14:12:45 UTC
I had a go at those ebuilds (ekiga,opal,ptlib) and it seems that ekiga-3.0.2 works OK (segfaults only occasionally).

For easier testing I have included them all in my pkalin overlay[1], in case somebody wants a quick go.
[1]   https://svn.tar.bz/repos/pkalin/trunk/README.txt

I guess same people are reading all 3 bugs, so I will not spam the other two with the same MSG.

I am kalin.kozhuharov@ekiga.net in case you wanna discuss ekiga/gentoo (unfortunately not a gentoo dev).
Comment 67 Jan Boros 2009-01-27 22:46:43 UTC
> For easier testing I have included them all in my pkalin overlay[1]

so I did include that on my PC

during merging opal I am getting following error, please can you give me some hint what to do ... thanks.


make[3]: Leaving directory `/var/tmp/portage/net-libs/opal-3.5.2/work/opal-3.5.2/plugins/video/H.261-vic'
make[3]: Entering directory `/var/tmp/portage/net-libs/opal-3.5.2/work/opal-3.5.2/plugins/video/H.263-ffmpeg'
x86_64-pc-linux-gnu-g++ -I../../../include -I../common -I../.. -fPIC  -Os -march=k8 -pipe -O2 -c ../common/trace.cxx -o obj/trace.o
x86_64-pc-linux-gnu-g++ -I../../../include -I../common -I../.. -fPIC  -Os -march=k8 -pipe -O2 -c h263ffmpeg.cxx -o obj/h263ffmpeg.o
x86_64-pc-linux-gnu-g++ -shared -Wl,-soname,h263-ffmpeg -o h263-ffmpeg_video_pwplugin.so obj/h263ffmpeg.o obj/trace.o
make[3]: Leaving directory `/var/tmp/portage/net-libs/opal-3.5.2/work/opal-3.5.2/plugins/video/H.263-ffmpeg'
make[3]: Entering directory `/var/tmp/portage/net-libs/opal-3.5.2/work/opal-3.5.2/plugins/video/H.263-1998'
x86_64-pc-linux-gnu-g++ -I../../../include  -I../common -I../../ -fPIC  -Os -march=k8 -pipe -O2 -c h263-1998.cxx -o obj/h263-1998.o
x86_64-pc-linux-gnu-g++ -I../../../include  -I../common -I../../ -fPIC  -Os -march=k8 -pipe -O2 -c h263pframe.cxx -o obj/h263pframe.o
h263-1998.cxx: In member function 'void H263_Base_EncoderContext::SetTSTO(unsigned int)':
h263-1998.cxx:272: warning: converting to 'int' from 'double'
h263-1998.cxx: In member function 'virtual bool H263_RFC2190_EncoderContext::Open()':
h263-1998.cxx:453: error: 'struct AVCodecContext' has no member named 'rtp_mode'
h263-1998.cxx:460: error: 'CODEC_FLAG_H263P_AIC' was not declared in this scope
make[3]: *** [obj/h263-1998.o] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory `/var/tmp/portage/net-libs/opal-3.5.2/work/opal-3.5.2/plugins/video/H.263-1998'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/net-libs/opal-3.5.2/work/opal-3.5.2/plugins'
make[1]: *** [subdirs] Error 2
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory `/var/tmp/portage/net-libs/opal-3.5.2/work/opal-3.5.2'
make: *** [opt] Error 2
 * 
 * ERROR: net-libs/opal-3.5.2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2429:  Called die
 * The specific snippet of code:
 *       emake ${makeopts} || die "emake failed"
Comment 68 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-01-27 22:49:29 UTC
(In reply to comment #67)
> > For easier testing I have included them all in my pkalin overlay[1]
> 
> so I did include that on my PC
> 
> during merging opal I am getting following error, please can you give me some
> hint what to do ... thanks.
>
Do not use opal-3.5.2 but opal-3.4.2 (with ekiga 3.0.*)
opal-3.5.2 is a beta release used by ekiga-3.1.0 ... Actually, I forgot to add this ebuild here...
Comment 69 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-01-27 23:02:08 UTC
Created attachment 179911 [details]
Ebuild for ekiga-3.1.0

An ebuild for the unstable version of ekiga (next stable : 3.2.0).
This ebuild need ptlib-2.5.2 and opal-3.5.2.

I did not test the ebuild (I only get it compiled in a box via ssh).
opal-3.5.2 is sometimes breaking with h263 codec. I did not find a real reason (working with an old ffmpeg, not working with a new one with +dirac but working with +dirac and dirac uninstalled but still not working with -dirac)
If you have trouble with opal, please use opal bug #238610. I hope we are gonna find out what this is about...
Comment 70 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-01-27 23:36:28 UTC
By the way, for people tired with updating the ebuilds manually, I use git for my personnal overlay so you can use it too.
You can access it from here : git://projects.oldworld.fr/gentoo-oldworld-overlay.git
Or add it via layman : `layman -o http://gentoo.oldworld.fr/overlay.xml -a oldworld`
Comment 71 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-02-02 03:51:09 UTC
A patch for opal-3.5.2 svn repository has been provided by Federico Fissore.
You can found it with the updated ebuild in opal bug (bug #238610) or in my personal overlay.
Comment 72 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-02-02 03:54:07 UTC
(In reply to comment #71)
> A patch for opal-3.5.2 svn repository has been provided by Federico Fissore.
> You can found it with the updated ebuild in opal bug (bug #238610) or in my
> personal overlay.
> 

Sorry, it is "A patch for opal-3.5.2 _from the_ svn repository".
Comment 73 Manfred Knick 2009-02-21 18:02:21 UTC
(In reply to comment #69)
> Created an attachment (id=179911) [edit]
> Ebuild for ekiga-3.1.0

# emerge -p ekiga

These are the packages that would be merged, in order:

Calculating dependencies \

!!! Invalid or corrupt dependency specification:

|| missing atom list in "|| >=x11-libs/gtk+-2.14.0:2 ( >=gnome-base/libgnome-2.14.0 >=gnome-base/libgnomeui-2.14.0 )"

('ebuild', '/', 'net-im/ekiga-3.1.0', 'merge')

>=dev-libs/ptlib-2.5.2[debug=] >=net-libs/opal-3.5.2[debug=,wav] >=dev-libs/glib-2.8.0:2 dev-libs/cyrus-sasl:2 dev-libs/libsigc++:2 dev-libs/libxml2:2 >=x11-libs/gtk+-2.12.0:2 avahi? ( >=net-dns/avahi-0.6.0 ) dbus? ( >=dev-libs/dbus-glib-0.36 ) eds? ( >=gnome-extra/evolution-data-server-1.2 ) gconf? ( >=gnome-base/gconf-2.6.0:2 ) gnome? ( || >=x11-libs/gtk+-2.14.0:2 ( >=gnome-base/libgnome-2.14.0 >=gnome-base/libgnomeui-2.14.0 ) ) gstreamer? ( >=media-libs/gst-plugins-base-0.10.20:0.10 media-libs/gst-plugins-bad ) kde? ( kde-base/kdelibs ) kontact? ( || kde-base/kdelibs:3.5 kde-base/kdepimlibs:4.1 ) ldap? ( net-nds/openldap[sasl] ) libnotify? ( x11-libs/libnotify ) xv? ( x11-libs/libXv ) xcap? ( >=net-libs/libsoup-2.4:2.4 ) >=sys-devel/make-3.81 >=dev-util/pkgconfig-0.12.0 >=dev-util/intltool-0.35 doc? ( app-text/scrollkeeper app-text/gnome-doc-utils ) =sys-devel/automake-1.10* >=sys-devel/autoconf-2.61 sys-devel/libtool >=sys-apps/sed-4

This package can not be installed. Please notify the 'net-
im/ekiga-3.1.0' package maintainer about this problem.
... done!

---

The corresponding line form the ebuild read:

...
RDEPEND=">=dev-libs/ptlib-2.5.2[debug=]
    ...
    gnome? (
        || >=x11-libs/gtk+-2.14.0:2
           ( >=gnome-base/libgnome-2.14.0
             >=gnome-base/libgnomeui-2.14.0 )
    )
...
Comment 74 Sergej Pisarenko 2009-02-22 17:55:44 UTC
Can't emerge says:

>>> Compiling source in /var/tmp/portage/net-im/ekiga-3.0.2/work/ekiga-3.0.2 ...
make -j2 
make: *** No targets specified and no makefile found.  Stop.

 * 
 * ERROR: net-im/ekiga-3.0.2 failed.
 * Call stack:

Any ideas?
Comment 75 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-02-23 04:22:35 UTC
Created attachment 182850 [details]
Ebuild for ekiga-3.1.0

This patch should fix your issue, Manfred (comment #73).
Sorry about that.
Comment 76 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-02-23 04:26:07 UTC
(In reply to comment #74)
> Can't emerge says:
> 
> >>> Compiling source in /var/tmp/portage/net-im/ekiga-3.0.2/work/ekiga-3.0.2 ...
> make -j2 
> make: *** No targets specified and no makefile found.  Stop.
> 
>  * 
>  * ERROR: net-im/ekiga-3.0.2 failed.
>  * Call stack:
> 
> Any ideas?
> 

That's really weird. Can you attach (or wgetpaste) your entire build.log ?

(btw, you had to read "ebuild" instead of "patch" in comment #75)
Comment 77 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-02-23 04:39:24 UTC
Created attachment 182852 [details]
Ebuild for ekiga-3.0.2

Actually, Sergej, I've just remembered that gnome2 eclass bug has been fixed a few days ago (see bug #239123 and comment #56 in this bug). My workaround is now a bug :)

This new ebuild is removing my workaround, so, fixing the bug.
Comment 78 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-02-23 04:40:05 UTC
Created attachment 182853 [details]
Ebuild for ekiga-3.1.0

Same thing for beta release.
Comment 79 Martijn van den Broek 2009-02-23 09:42:54 UTC
(In reply to comment #78)
> Created an attachment (id=182853) [edit]
> Ebuild for ekiga-3.1.0

Thanks but I think a patch is missing..

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 *   /usr/local/portage/net-im/ekiga/files/ekiga-3.1.0-configure.ac.patch
Comment 80 Manfred Knick 2009-02-23 11:10:30 UTC
Thanks,  Mounir !!

Next head of the hydra issuing up:

emerge: there are no ebuilds built with USE flags to satisfy "dev-libs/ptlib[asn]".

I will issue this in BUG #238617#c30 .

Comment 81 Manfred Knick 2009-02-23 11:17:05 UTC
ADDENDUM to comment #80 :

And, of course, in http://bugs.gentoo.org/show_bug.cgi?id=238610#c41
Comment 82 Manfred Knick 2009-02-23 12:13:03 UTC
(In reply to comment #79)
>  * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
>  *   /usr/local/portage/net-im/ekiga/files/ekiga-3.1.0-configure.ac.patch

Disabling calling this patch,
the first error occurs as follows:

make[6]: Entering directory `/Storage-B/Portage_tmp/portage/net-im/ekiga-3.1.0/work/ekiga-3.1.0/lib/engine/components/kde'                                                                                                
/bin/sh ../../../../libtool --tag=CXX   --mode=compile x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../../.. -I../../../../lib/engine/framework   -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include   -I/usr/include/qt4 -march=native -O2 -pipe -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -MT kde-main.lo -MD -MP -MF .deps/kde-main.Tpo -c -o kde-main.lo `test -f '../../../../lib/engine/components/kde/kde-main.cpp' || echo './'`../../../../lib/engine/components/kde/kde-main.cpp                                                                                                               
mkdir .libs                                                                                                                                                                                                               
 x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I../../../.. -I../../../../lib/engine/framework -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -I/usr/include/qt4 -march=native -O2 -pipe -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -MT kde-main.lo -MD -MP -MF .deps/kde-main.Tpo -c ../../../../lib/engine/components/kde/kde-main.cpp  -fPIC -DPIC -o .libs/kde-main.o        
../../../../lib/engine/components/kde/kde-main.cpp:53:12: Warnung: fehlendes abschließendes Zeichen "
../../../../lib/engine/components/kde/kde-main.cpp:53: Fehler: fehlendes abschließendes Zeichen "
../../../../lib/engine/components/kde/kde-main.cpp: In function »bool kde_init(Ekiga::ServiceCore&, int*, char***)«:
../../../../lib/engine/components/kde/kde-main.cpp:55: Fehler: expected `)' before »;« token
make[6]: *** [kde-main.lo] Fehler 1
make[6]: Leaving directory `/Storage-B/Portage_tmp/portage/net-im/ekiga-3.1.0/work/ekiga-3.1.0/lib/engine/components/kde'
Comment 83 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-02-28 20:00:45 UTC
Created attachment 183516 [details, diff]
Patch for ekiga 3.1.0 configure script

This should fix epatch error when using ekiga-3.1.0.
It has to be put in files/
Comment 84 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-02-28 20:01:30 UTC
(In reply to comment #80)
> Thanks,  Mounir !!
> 
> Next head of the hydra issuing up:
> 
> emerge: there are no ebuilds built with USE flags to satisfy
> "dev-libs/ptlib[asn]".
> 
> I will issue this in BUG #238617#c30 .
> 

Fixed. Updated ptlib ebuilds are atteched to bug #238617
Comment 85 Sergej Pisarenko 2009-03-08 00:51:35 UTC
(In reply to comment #83)
> Created an attachment (id=183516) [edit]
> Patch for ekiga 3.1.0 configure script
> 
> This should fix epatch error when using ekiga-3.1.0.
> It has to be put in files/
> 

Looks like an ebuild to me, not a patch. Did you upload the wrong file?
Comment 86 Sytse Wielinga 2009-03-09 11:57:26 UTC
Created attachment 184442 [details, diff]
Patch for ekiga 3.1.0 configure script

This was the real patch Mounir tried to post.
Comment 87 dongxu li 2009-03-17 23:15:28 UTC
ekiga-3.2.0 out

depends on ptlib-2.6.1, opal-3.6.1, gstreamer-0.10.22
Comment 88 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-03-18 14:43:26 UTC
I've added ekiga-3* (3.0.2 atm) in the voip overlay.

Please, use the voip overlay ebuilds instead of ebuilds from this bug. I will
try to keep this bug up to date but surely, the voip overlay ebuilds will be
better.

ekiga from the voip overlay will probably don't work with ptlib and opal from
bugzilla (but from the voip overlay).
Comment 89 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-03-18 14:45:34 UTC
Created attachment 185436 [details]
Ebuild for ekiga-3.0.2 from the voip overlay

It's much more for "advancement information" than for use.
(prefer the voip overlay)
Comment 90 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-03-18 14:46:36 UTC
Created attachment 185438 [details, diff]
Patch needed by ekiga-3.0.2 (at least)
Comment 91 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-03-18 14:49:36 UTC
(In reply to comment #87)
> ekiga-3.2.0 out
> 
> depends on ptlib-2.6.1, opal-3.6.1, gstreamer-0.10.22
> 

Thanks :)
Comment 92 dongxu li 2009-03-23 01:27:43 UTC
Created attachment 185939 [details]
ptlib-2.6.1-r1.ebuild

from the voip overlay ptlib-2.4.5-r1.ebuild

removed all patches and configure tweaks.
Comment 93 dongxu li 2009-03-23 01:28:53 UTC
Created attachment 185941 [details]
opal-3.6.1-r1.ebuild

from the voip overlay opal-3.4.5.ebuild

removed all patches and configure options
Comment 94 dongxu li 2009-03-23 01:30:33 UTC
Created attachment 185942 [details]
ekiga-3.2.0-r1.ebuild

from the voip overlay ekiga-3.0.2.ebuild

removed all patches and configure options
Comment 95 dongxu li 2009-03-23 01:33:43 UTC
net-voip/ekiga-3.2.0-r1.ebuild depends on net-libs/ptlib-2.6.1-r1 and net-libs/opal-3.6.1-r1

I removed effects of all USE flags, because I couldn't tweak them to get it build and work.

basically, ebuilds are just "./configure && make && make install"

ekiga-3.2.0 works a little bit better than 3.0.2, but I still get "remote user busy" and have to restart ekiga at the remote side.
Comment 96 Jakub Klawiter 2009-03-23 10:22:21 UTC
is there ANY ebuild available which i can install with STABLE gnome-2.24? 
The one which i can find in portage fails to build, same as all attached here, and in related bugs (ptlib, opal).
Comment 97 Manfred Knick 2009-03-23 11:20:56 UTC
(In reply to comment #96)
> is there ANY ebuild available which i can install with STABLE gnome-2.24? 
> The one which i can find in portage fails to build, same as all attached here,
> and in related bugs (ptlib, opal).

$ equery list   gnome-base/gnome-2.24.1
[I--] [ ~] gnome-base/gnome-2.24.1 (2.0)
...
[I--] [ ~] gnome-base/libgnome-2.24.1 (0)
[I--] [ ~] gnome-base/libgnomeui-2.24.1 (0)

I do not observe any problems at all
building stable net-im/ekiga-2.0.12 on amd64.

Perhaps you might consider being a bit more informative  ...
or (if really concerning _stable_) file a detailed BUG report @ bugs.gentoo.org.
Comment 98 Raphaël Droz 2009-03-24 19:58:28 UTC
Trying to build ekiga failed with :
---------------
/usr/lib64/libopal_d.so: undefined reference to `PSTUNClient::GetNatTypeString(PSTUNClient::NatTypes)'
/usr/lib64/libopal_d.so: undefined reference to `PSTUNClient::PSTUNClient(PString const&, unsigned short, unsigned short, unsigned short, unsigned short)'
/usr/lib64/libopal_d.so: undefined reference to `PSTUNClient::SetServer(PString const&)'
/usr/lib64/libopal_d.so: undefined reference to `PSTUNClient::InvalidateCache()'
/usr/lib64/libopal_d.so: undefined reference to `PSTUNClient::GetNatType(bool)'
---------------
*********
ptlib :
alsa asn audio debug sdl url video wav -config-file -dns -doc -dtmf -esd -examples -ftp -http -http-forms -http-server -ieee1394 -ipv6 -jabber -ldap -mail -odbc -oss -pch -pipechan -qos -remote -sasl -serial -shmvideo -snmp -soap -socks -ssl -stun -telnet -tts -v4l -v4l2 -vxml -xml -xmlrpc
*********
opal :
audio debug h323 plugins sip stats theora video wav x264 -capi -dns -doc -dtmf -examples -fax -ffmpeg -g711plc -h224 -iax -ipv6 -ivr -ixj -java -ldap -lid -rfc4175 -srtp -ssl -vpb -vxml -x264-static -xml
*********
ekiga :
dbus debug h323 mmx nls sip -avahi -doc -eds -gconf -gnome -ldap -libnotify -shm -static -v4l -xv
-------------------------
I will recompile the ptlib with 'stun' useflag. I it works, I would suspect ekiga should depends upon ptlib[stun]
Comment 99 Raphaël Droz 2009-03-26 19:14:11 UTC
- I confirm ekiga compiled fine if ptlib is compiled with 'stun' useflag (I think it should be mandatory in the ebuild).

- However (with the useflag given in comment #98 + stun useflag, ekiga die badly when I click on the "Preferences" button.
I tried without an with turning debug to 4. See attachments.
In both case, the first frouth lines like :
Block 0x8da020 not in heap!
Are thrown at launch time
The lines related to the click on the Preferences begin at :
*** glibc detected ***
Comment 100 Raphaël Droz 2009-03-26 19:15:58 UTC
Created attachment 186343 [details]
ekiga die badly when trying to access the preferences (without debug)
Comment 101 Raphaël Droz 2009-03-26 19:16:32 UTC
Created attachment 186344 [details]
ekiga dies badly when trying to access the preferences (with debug)
Comment 102 Raphaël Droz 2009-03-29 21:23:00 UTC
(In reply to comment #101)
About the segfault reported earlier :
http://mail.gnome.org/archives/ekiga-list/2009-March/msg00094.html
Appears related to gtk+.
On my system, it's gtk+-2.14.7-r2 with : X cups debug jpeg jpeg2k tiff
The segfault appears around g_free in gtk_widget_show_all
It's maybe worse a separate bug report, but it would be better if somebody can reproduce this segfault or correct my useflags.
ekiga is the only application I encounter this problem.
ltrace and ekiga output are attached below.
Comment 103 Raphaël Droz 2009-03-29 21:24:11 UTC
Created attachment 186680 [details]
ekiga output when clicking over "Preferences" in the "Edition" menu
Comment 104 Raphaël Droz 2009-03-29 21:25:09 UTC
Created attachment 186682 [details]
ltrace dump of ekiga (or rather gtk) segfaulting
Comment 105 dongxu li 2009-03-30 07:54:36 UTC
(In reply to comment #101)
> Created an attachment (id=186344) [edit]
> ekiga dies badly when trying to access the preferences (with debug)
> 

disable debug for all

it may still segfaults, but should be stable enough for use
Comment 106 Raphaël Droz 2009-03-30 16:25:18 UTC
(In reply to comment #105)
> disable debug for all
> it may still segfaults, but should be stable enough for use

Without debug useflag (for ptlib, opal and net-voip/ekiga), it works well (mean it doesn't segfault in Preferences nor when trying to give a call).

My last step (don't know if it should be part of this thread), is making it working with jackd.
But as ekiga doesn't directly support jack I have to do what I never had to before : use alsa jack-plugin to wrap ekiga output (which use alsa) rather than making it directly use jack (not possible).
But ... it doesn't work ("cannot connect alsa-jack.jackP.17077.8:out_000 to system:playback_0") even with a carefully configured .asoundrc but that's another subject (anyway jack useflag would be nice :) )
Comment 107 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-01 02:19:38 UTC
Created attachment 186942 [details]
Ebuild for ekiga-3.2.0

Version bump to 3.2.0.

To be used with ptlib-2.6.1 and opal-3.6.1.

This ebuild is fixing every documented and fixable issues in this bug, wich mean:
- fail to build when ptlib was not compiled with stun flag enabled (comment 98). Now ptlib _must_ have stun flag enabled.

This ebuild is not fixing the segfault bug when ekiga is compiled with the debug use flag. This has to be adressed to upstream. See this bug : http://bugzilla.gnome.org/show_bug.cgi?id=576759 Please, Raphael, do not hesitate to add a comment with the logs you added here.

Also, this ebuild is not fixing the kde compilation issue reported in comment 82 by Manfred. Please, Manfred, do not hesitate to bug me again if this issue is still present.

This new version is a stable version. It should replace 3.0.2 but I still have some issues with it so I prefer to keep 3.0.2 in the overlay.
Here are the issues:
- gstreamer is still not supported by the ebuild because it needed a new version of gstreamer which just touch the tree.
- i was not able to build ekiga-3.2 with kde-4.2 in my chroot.
- i was not able to test the build of ekiga-3.2 with kde-3.
- i have some connections issues with ekiga.net servers but it's probably related to my home connection.

Do not hesitate to report any bug and test any of the points below.

Any help will be appreciated :)
Comment 108 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-01 02:22:01 UTC
Created attachment 186943 [details, diff]
ekiga-3.2.0-configure.patch

This patch and the following are needed by ekiga-3.2.0.ebuild.
Patch 185438 is not needed by ekiga-3.2.0.ebuild but by ekiga-3.0.2.ebuild.
Comment 109 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-01 02:22:40 UTC
Created attachment 186944 [details, diff]
ekiga-3.2.0-ptracing.patch
Comment 110 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-01 02:24:04 UTC
Created attachment 186946 [details, diff]
ekiga-3.2.0-xcap.patch
Comment 111 dongxu li 2009-04-01 08:49:36 UTC
(In reply to comment #107)
> - i have some connections issues with ekiga.net servers but it's probably
> related to my home connection.

I also got ekiga.net registering issue on certain computer. probabaly still an ekiga bug, but I do get a problem while ekiga struggles,

# host ekiga.net
ekiga.net has address 86.64.162.35
;; connection timed out; no servers could be reached
Comment 112 Raphaël Droz 2009-04-01 11:37:05 UTC
Just compiled ekiga 3.2 :
- Shouldn't the dev-libs/cyrus-sasl:2 dependancy be optionnal (according to the ldap useflag) ?
- Can't connect to ekiga.net
- Ekiga segfaults when asked to quit (happened with 3.0.2 also)
- Happens to reinitialise my old ekiga.conf (take care : save yours)
Otherwise it should works well (let's wait for ekiga.net to come back)
Comment 113 Manfred Knick 2009-04-01 13:06:21 UTC
(In reply to comment #107)
 
> ... This ebuild is fixing ...

Mounir,

a big .......... "THANK YOU !"

for your dedicated engagement!
Comment 114 Manfred Knick 2009-04-01 14:42:01 UTC
At my place (= amd46), the following happend with and without USE="stun":

checking for PTLIB... yes
Version:  2.6.1
CFLAGS:   -DPTRACING=0 -DPASN_NOPRINTON -DPASN_LEANANDMEAN -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/SDL
CXXFLAGS: -felide-constructors -Wreorder
DEBUG:    -lpt_d -lsasl2 -lssl -lcrypto -lexpat -lSDL -lpthread -ldl
RELEASE:  -lpt -lsasl2 -lssl -lcrypto -lexpat -lSDL -lpthread -ldl
checking ptlib version... 2.6.1
configure: error: Could not find a linkable ptlib in specified environment to verify symbols (debug ptlib: no)

!!! Please attach the following file when seeking support:
!!! /Storage-B/Portage_tmp/portage/net-libs/opal-3.6.1/work/opal-3.6.1/config.log
 ^[[31;01m*^[[0m
 ^[[31;01m*^[[0m ERROR: net-libs/opal-3.6.1 failed.
 ^[[31;01m*^[[0m Call stack:
 ^[[31;01m*^[[0m               ebuild.sh, line   49:  Called src_configure
 ^[[31;01m*^[[0m             environment, line 2529:  Called econf '--enable-versioncheck' '--enable-shared' '--disable-zrtp' '--disable-localspeex' '--disable-localspeexdsp' '--disable-localgsm' '--disable-samples' '--disable-libavcodec-stackalign-hack' '--enable-default-to-full-capabilties' '--enable-aec' '--disable-celt' '--disable-msrp' '--disable-debug' '--disable-capi' '--disable-fax' '--disable-spandsp' '--disable-t38' '--enable-ffmpeg-h263' '--disable-g711plc' '--disable-h224' '--disable-h281' '--enable-h323' '--enable-h450' '--enable-h460' '--enable-h501' '--disable-iax' '--disable-ivr' '--disable-ixj' '--enable-java' '--disable-lid' '--enable-plugins' '--disable-rfc4103' '--disable-rfc4175' '--disable-sbc' '--enable-sip' '--disable-sipim' '--disable-statistics' '--enable-video' '--disable-vpb' '--disable-h264' '--disable-x264-link-static'

               ebuild.sh, line  543:  Called die
 The specific snippet of code:
                        die "econf failed"
  The die message:
   econf failed
Comment 115 Manfred Knick 2009-04-01 14:45:53 UTC
Created attachment 186986 [details]
opal-3.6.1   config.log
Comment 116 Manfred Knick 2009-04-01 14:48:06 UTC
(In reply to comment #114)

> checking for PTLIB... yes
> Version:  2.6.1
> ...
> checking ptlib version... 2.6.1
> configure: error: Could not find a linkable ptlib in specified environment to
> verify symbols (debug ptlib: no)

# equery list -p -o ptlib
[ Searching for package 'ptlib' in all categories among: ]
 * installed packages
[I--] [ ~] net-libs/ptlib-2.6.1 (0)
 * Portage tree (/usr/portage)
[-P-] [M~] dev-libs/cryptlib-3.3.0-r1 (0)
[-P-] [M~] dev-libs/cryptlib-3.3.1 (0)
[-P-] [M~] dev-libs/cryptlib-3.3.2 (0)
[-P-] [M~] dev-python/cryptlib_py-3.3.1 (0)
[-P-] [M~] dev-python/cryptlib_py-3.3.2 (0)
 * overlay tree (/usr/local/portage/local-overlay)
[--O] [ ~] net-libs/ptlib-2.6.1 (0)
Comment 117 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-01 14:49:52 UTC
(In reply to comment #114)
> At my place (= amd46), the following happend with and without USE="stun":
> 
> checking for PTLIB... yes
> Version:  2.6.1
> CFLAGS:   -DPTRACING=0 -DPASN_NOPRINTON -DPASN_LEANANDMEAN -D_REENTRANT
> -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/SDL
> CXXFLAGS: -felide-constructors -Wreorder
> DEBUG:    -lpt_d -lsasl2 -lssl -lcrypto -lexpat -lSDL -lpthread -ldl
> RELEASE:  -lpt -lsasl2 -lssl -lcrypto -lexpat -lSDL -lpthread -ldl
> checking ptlib version... 2.6.1
> configure: error: Could not find a linkable ptlib in specified environment to
> verify symbols (debug ptlib: no)
> 
[snip]

Can you copy the flag you used for ptlib ?
And for opal. (even if i can get them from ./configure line)
Comment 118 Manfred Knick 2009-04-01 15:49:00 UTC
(In reply to comment #117)
> (In reply to comment #114)
> ...
> Can you copy the flag you used for ptlib ?
> And for opal. (even if i can get them from ./configure line)

.   ?

# emerge -pv ptlib
...
[ebuild   R   ] net-libs/ptlib-2.6.1  USE="alsa asn audio doc esd examples ffmpeg http ipv6 ldap sasl sdl ssl stun url v4l v4l2 video wav xml -config-file -debug -dns -dtmf -ftp -http-forms -http-server -ieee1394 -jabber -mail -odbc -oss -pch -pipechan -qos -remote -serial -shmvideo -snmp -soap -socks -telnet -tts -vxml -xmlrpc" 0 kB [?=>1]

# emerge -pv opal
...
[ebuild     U ] net-libs/opal-3.6.1 [2.2.11] USE="audio%* doc%* examples%* ffmpeg%* h323%* ipv6%* java%* ldap%* plugins%* sip%* ssl%* video%* wav%* xml%* -capi% -debug -dns% -dtmf% -fax% -g711plc% -h224% -iax% -ivr% -ixj% -lid% -rfc4103% -rfc4175% -sbc% -sipim% -srtp% -stats% -swig% -theora% -vpb% -vxml% -x264% -x264-static% (-noaudio%) (-novideo%)" 0 kB [0=>1]


Hope this helps ?
-m.
Comment 119 Manfred Knick 2009-04-01 15:56:50 UTC
(In reply to comment #117)

This is from /etc/make.conf:

  USE =        "X apache2 bash-completion dbus doc dvb examples ffmpeg
                firefox3 foomaticdb gimp gphoto2 hbci htmlhandbook jadetex
                java jce maildir mbox mmx mng mysql nsplugin samba scanner
                sasl sse sse2 sse3 sse4.1 sse4.2 sse4a sse5 v4l v4l2
                webkit xcomposite zvbi"

This is from /etc/portage/package.use:

...
net-libs/opal                   wav
net-libs/ptlib                  wav stun
...

Please, don't hesitate to ask for any further information
which might be of value to your investigation!
Comment 120 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-01 23:59:49 UTC
(In reply to comment #112)
> Just compiled ekiga 3.2 :
> - Shouldn't the dev-libs/cyrus-sasl:2 dependancy be optionnal (according to the
> ldap useflag) ?

Oups, my mistake. I will fix that with -r1 version bump.

About ekiga.net connection issues, I'm confused because it works at my university but not at home. I've send an email to the ekiga mailing list. Please do not hesitate to register if you want to participate [1].

Manfred, I'm going to test your useflags and see what I get but I doubt I'm going to reproduce this.
Anyone except Manfred is using amd64 arch ?

[1] http://mail.gnome.org/mailman/listinfo/ekiga-list
Comment 121 dongxu li 2009-04-02 00:26:36 UTC
enable USE=pipechan for ptlib

(In reply to comment #118)
> # emerge -pv ptlib
> ...
> [ebuild   R   ] net-libs/ptlib-2.6.1  USE="alsa asn audio doc esd examples
> ffmpeg http ipv6 ldap sasl sdl ssl stun url v4l v4l2 video wav xml -config-file
> -debug -dns -dtmf -ftp -http-forms -http-server -ieee1394 -jabber -mail -odbc
> -oss -pch -pipechan -qos -remote -serial -shmvideo -snmp -soap -socks -telnet
> -tts -vxml -xmlrpc" 0 kB [?=>1]

Comment 122 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-02 03:10:39 UTC
(In reply to comment #121)
> enable USE=pipechan for ptlib
> 

That's true. I've fixed that. Actually, the emerge process is stopped if ffmpeg is enabled and pipechan disabled. And I've contacted upstream.

Thanks for the hint :)
Comment 123 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-02 03:11:36 UTC
By the way, fixed ptlib ebuild is available in the voip overlay or bug 238617.
Comment 124 Manfred Knick 2009-04-02 06:10:42 UTC
(In reply to comment #121)
> enable USE=pipechan for ptlib

(In reply to comment #123)
> By the way, fixed ptlib ebuild is available in the voip overlay or bug 238617.

Well, thanks!, I'm across the ptlib build;
now, the next head of the hydra popping up is:

 * ERROR: net-im/ekiga-3.2.0 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile

from /.../portage/net-im/ekiga-3.2.0/temp/build.log :

/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.3/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lQtCore
collect2: ld returned 1 exit status

But that might be due to 

# equery list -p -o eclipse-sdk
...
[I--] [ ~] dev-util/eclipse-sdk-3.4.2 (3.4)
...
 * overlay tree (/usr/local/portage/local-overlay)
[--O] [ ~] dev-util/eclipse-sdk-3.4.2 (3.4)

( c.f. Bug #238952 ).
Comment 125 Manfred Knick 2009-04-02 06:32:04 UTC
(In reply to comment #124)

NOPE.

There were other calls using QtCore successfully before,
e.g.

make[6]: Entering directory `/Storage-B/Portage_tmp/portage/net-im/ekiga-3.2.0/work/ekiga-3.2.0/lib/engine/components/kde'
...
/bin/sh ../../../../libtool --tag=CXX   --mode=link x86_64-pc-linux-gnu-g++ -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include   -I/usr/include/qt4 -march=native        -O2 -pipe -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -export-dynamic -no-undefined -lsigc-2.0   -lQtCore -Wl,-O1 -o libgmkde.la  kde-main.lo ../../../../lib/engine/framework/libgmframework.la -lresolv


It seems to be the last task itself:


make[2]: Leaving directory `/Storage-B/Portage_tmp/portage/net-im/ekiga-3.2.0/work/ekiga-3.2.0/lib'


Making all in src
make[2]: Entering directory `/Storage-B/Portage_tmp/portage/net-im/ekiga-3.2.0/work/ekiga-3.2.0/src'
test -d dbus-helper || mkdir dbus-helper
touch build-subdir-stamp
/bin/sh ../libtool --mode=execute dbus-binding-tool --prefix=helper --mode=glib-server --output=dbus-helper/dbus-helper-stub.h dbus-helper/dbus-helper-stub.xml
/bin/sh ../libtool --mode=execute dbus-binding-tool --prefix=ekiga_dbus_component --mode=glib-server --output=dbus-helper/dbus-stub.h dbus-helper/dbus-stub.xml
make  all-am

make[3]: Entering directory `/Storage-B/Portage_tmp/portage/net-im/ekiga-3.2.0/work/ekiga-3.2.0/src'

...

mkdir .libs
...
x86_64-pc-linux-gnu-g++ -I/usr/include/gtk-2.0 -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -DPTRACING=0 -DPASN_NOPRINTON -DPASN_LEANANDMEAN -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/opal -I/usr/include/SDL -DPTRACING=0 -DPASN_NOPRINTON -DPASN_LEANANDMEAN -D_REENTRANT -D_GNU_SOURCE=1 -fno-exceptions -I/usr/include/SDL -I/usr/include/sigc++-2.0 -I/usr/lib64/sigc++-2.0/include -I/usr/include/libxml2 -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/lib64/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -march=native -O2 -pipe -Wall -Wextra -Winit-self -Wswitch-default -Wswitch-enum -Wstrict-aliasing=2 -Wfloat-equal -Wshadow -Wl,-O1 -o ekiga accounts.o callbacks.o conf.o dialpad.o assistant.o main.o misc.o preferences.o statusicon.o statusmenu.o ekiga.o dbus.o -Wl,--export-dynamic -pthread  ../lib/.libs/libekiga.a -lm ../lib/engine/.libs/libekiga_engine.a /usr/lib64/libXv.so /usr/lib64/libXext.so /usr/lib64/libebook-1.2.so -L/usr/lib64/nspr -L/usr/lib64/lib -L/usr/lib64 -L/usr/lib64/nss /usr/lib64/libcamel-1.2.so -lssl3 -lsmime3 -lnssutil3 -lnss3 /usr/lib64/libsqlite3.so /usr/lib64/libgnome-2.so /usr/lib64/libgnomevfs-2.so -lutil /usr/lib64/libesd.so /usr/lib64/libasound.so /usr/lib64/libaudiofile.so /usr/lib64/libpopt.so /usr/lib64/libedataserver-1.2.so -lplds4 -lplc4 -lnspr4 /usr/lib64/libgconf-2.so /usr/lib64/libsoup-2.4.so /usr/lib64/libgnutls.so /usr/lib64/libtasn1.so /usr/lib64/libgcrypt.so /usr/lib64/libgpg-error.so /usr/lib64/libbonobo-2.so /usr/lib64/libbonobo-activation.so /usr/lib64/libORBitCosNaming-2.so /usr/lib64/libORBit-2.so /usr/lib64/libldap.so /usr/lib64/liblber.so -lcrypt -lQtCore -lnsl /usr/lib64/libpixman-1.so /usr/lib64/libpng12.so /usr/lib64/libXrender.so /usr/lib64/libX11.so /usr/lib64/libXau.so /usr/lib64/libXdmcp.so /usr/lib64/libgthread-2.0.so -lrt -lopal /usr/lib64/libspeexdsp.so -lpt /usr/lib64/libsasl2.so -lssl -lcrypto /usr/lib64/libexpat.so /usr/lib64/libSDL.so -lpthread -ldl /usr/lib64/libsigc-2.0.so /usr/lib64/libxml2.so /usr/lib64/libnotify.so /usr/lib64/libgtk-x11-2.0.so /usr/lib64/libdbus-glib-1.so /usr/lib64/libgdk-x11-2.0.so /usr/lib64/libatk-1.0.so /usr/lib64/libgio-2.0.so /usr/lib64/libpangoft2-1.0.so /usr/lib64/libgdk_pixbuf-2.0.so /usr/lib64/libpangocairo-1.0.so /usr/lib64/libcairo.so /usr/lib64/libpango-1.0.so /usr/lib64/libfreetype.so -lz /usr/lib64/libfontconfig.so /usr/lib64/libgmodule-2.0.so /usr/lib64/libdbus-1.so /usr/lib64/libgobject-2.0.so /usr/lib64/libglib-2.0.so -lresolv  

/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.3/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lQtCore
collect2: ld returned 1 exit status

Comment 126 Manfred Knick 2009-04-02 06:36:38 UTC
Created attachment 187048 [details]
temp/build.log ::  QtCore error
Comment 127 Manfred Knick 2009-04-02 08:30:56 UTC
(In reply to comment #124)

# equery list qt-core
[I--] [  ] x11-libs/qt-core-4.4.2 (4)

I emerged  ~ qt-4.5 :

[I--] [ ~] x11-libs/qt-core-4.5.0 (4)

and emerged ekiga-3.2.0 - again:

make[3]: Entering directory `/Storage-B/Portage_tmp/portage/net-im/ekiga-3.2.0/work/ekiga-3.2.0/src'
...
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.3/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lQtCore
Comment 128 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-03 20:27:45 UTC
Thanks Manfred.
I've reported this bug upstream, see http://bugzilla.gnome.org/show_bug.cgi?id=577878
Comment 129 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-04 00:47:52 UTC
(In reply to comment #112)
> - Ekiga segfaults when asked to quit (happened with 3.0.2 also)

I've reported your preferences window segfault bug [1] and your quitting segfault bug [2] to upstream.
Do we agree these bugs only exist in debug mode ?
If you want to add information into bug reports, please, do not hesitate.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=577896
[2] http://bugzilla.gnome.org/show_bug.cgi?id=576759
Comment 130 Manfred Knick 2009-04-04 08:00:03 UTC
(In reply to comment #128)
> Thanks Manfred.
> I've reported this bug upstream, see
> http://bugzilla.gnome.org/show_bug.cgi?id=577878

Thanks!
Just to confirm:

Disabling ekiga's KDE integration like

# grep ekiga package.use
net-im/ekiga                -kde    # BUG #238554

ekiga-3.2.0 emerges successfully:

>>> Installing net-im/ekiga-3.2.0
Comment 131 Bent Bagger 2009-04-08 18:10:19 UTC
I want to build ekiga with as few extra USE flags as possible (Call me an oldfashioned purist). This gives rise to to comments:

1. Ekiaga requires ptlib to be built with the wav USE flag set. THis is not done by default, but in my opinion it shluld be. I have entered an bug (265470 https://bugs.gentoo.org/show_bug.cgi?id=265470) on this.

2. I use KDE so the kde USE flag is naturally set in my make.conf. Ekiga will not, however, build with this flags set. The configure part of the build end with these lines:
===================
checking kapplication.h usability... no
checking kapplication.h presence... no
checking for kapplication.h... no
configure: error: We need this header!

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/net-im/ekiga-3.2.0/work/ekiga-3.2.0/config.log
 *
 * ERROR: net-im/ekiga-3.2.0 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_configure
 *             environment, line 2698:  Called gnome2_src_configure
 *             environment, line 2038:  Called econf '--disable-dependency-tracking' '--enable-fast-install' '--disable-maintainer-mode' '--enable-libtool-lock' '--disable-gstreamer' '--disable-avahi' '--enable-dbus' '--enable-dbus_service' '--disable-gtk-debug' '--disable-opal-debug' '--disable-gdu' '--disable-scrollkeeper' '--disable-eds' '--disable-gconf' '--disable-schemas-install' '--disable-gnome' '--enable-kde' '--disable-kab' '--disable-ldap' '--disable-notify' '--enable-nls' '--disable-static-libs' '--disable-xcap' '--disable-xv' '--disable-gtk-doc'
 *               ebuild.sh, line  543:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *  The die message:
 *   econf failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/net-im/ekiga-3.2.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-im/ekiga-3.2.0/temp/environment'.
 * This ebuild is from a repository named 'voip'
 *
=================

kapplication.h *is* present on my system:

bent@yosie ~ $ locate kapplication.h
/usr/kde/3.5/include/kapplication.h
bent@yosie ~ $ 

What to do?


Comment 132 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-08 18:26:35 UTC
(In reply to comment #131)
> I want to build ekiga with as few extra USE flags as possible (Call me an
> oldfashioned purist). This gives rise to to comments:
> 
> 1. Ekiaga requires ptlib to be built with the wav USE flag set. THis is not
> done by default, but in my opinion it shluld be. I have entered an bug (265470
> https://bugs.gentoo.org/show_bug.cgi?id=265470) on this.
As i answered in bug 265470, you really can't build ekiga if ptlib has not be build with wav use flag. Ekiga's compilation will break.

> 2. I use KDE so the kde USE flag is naturally set in my make.conf. Ekiga will
> not, however, build with this flags set. The configure part of the build end
> with these lines:
[snip]

So here is my first kde-3 test and it breaks in the configure script. I will bug upstream to know if they officially support kde-3 because it should not fail here. When using kde-4 it breaks because of linking issues.
Comment 133 Bent Bagger 2009-04-08 18:47:36 UTC
> As I answered in bug 265470, you really can't build ekiga if ptlib has not be
> build with wav use flag. Ekiga's compilation will break.

Actually it didn't break, it terminated gracefully, telling me what to do  (Change USE: +wav) which I think is very well done.

I have now build ekiga with USE="-kde gnome" and that build succeeded. I have, however, run into all kinds of problems with the running ekiga, but I will report on them on the ekiga list.
Comment 134 Bent Bagger 2009-04-15 21:04:18 UTC
Mounir,

I have tried to build Ekiga 3.2.0 without USE=debug. Ptlib and opal built fine, but Ekiga gave exactly the same compilation error as the one I reported on the Ekiga list. The error message is attached.

An additional question: When I do a rebuild, e.g. after having changed the USE flags, how much new is downloaded? I know the source tar file isn't downloaded again, but what about the ebuild script?

How can I make sure that I use the latest ebuild script?
Comment 135 Bent Bagger 2009-04-15 21:07:58 UTC
Created attachment 188502 [details]
Ekiga 3.2.0 compile time error
Comment 136 Raphaël Droz 2009-04-16 00:01:16 UTC
(In reply to comment #135)
> Created an attachment (id=188502) [edit]
> Ekiga 3.2.0 compile time error
Innocently, and to earn some time, I think you should dump the useflags of ptlib,opal and ekiga.
Maybe a forgotten useflag dependencie of ekiga upon opal ?
---
Using this comment to precise, about comment #112
- dev-libs/cyrus-sasl:2 dependancie
--> still don't understand why
- Can't connect to ekiga.net
--> still the case (connects fine with another computer under window$)
- Ekiga segfaults when asked to quit
--> still happens
- Happens to reinitialise my old ekiga.conf
--> probably used to be due to the following
- ekiga segfault in "preferences" with +debug
--> corrected upstream (malloc -> g_malloc in src/gui/preferences.cpp)
Comment 137 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-16 01:56:54 UTC
(In reply to comment #134)
> Mounir,
> 
> I have tried to build Ekiga 3.2.0 without USE=debug. Ptlib and opal built fine,
> but Ekiga gave exactly the same compilation error as the one I reported on the
> Ekiga list. The error message is attached.
I did not check the list for a while (not enough time these days). But your compilation issue looks like you need a missing use flag for ptlib and probably opal.
Can you copy me your USE flags for ptlib, opal and ekiga (emerge -pv ptlib opal ekiga) ?

> An additional question: When I do a rebuild, e.g. after having changed the USE
> flags, how much new is downloaded? I know the source tar file isn't downloaded
> again, but what about the ebuild script?
> How can I make sure that I use the latest ebuild script?
> 
If you are using the voip overlay, you will always use the latest ebuild. Actually, you have to launch `layman -S` to update the overlay. It should be done daily like emerge --sync. eix can make it easier.
In addition, as long as the tarball is in /usr/portage/distfiles you download nothing. You can emerge ekiga offline. Actually, portage tell you the size of the downloaded file with -v option (test with portage -pv ekiga)


> (In reply to comment #135)
> Using this comment to precise, about comment #112
> - dev-libs/cyrus-sasl:2 dependancie
> --> still don't understand why
As I said, it was a mistake. I'm writing -r1 and it will be fixed.

> - Can't connect to ekiga.net
> --> still the case (connects fine with another computer under window$)
Will try to find the cause of this issue with the ekiga team.

> - Ekiga segfaults when asked to quit
> --> still happens
Only in debug ? It's a know-issue of the ekiga team also.

> - Happens to reinitialise my old ekiga.conf
> --> probably used to be due to the following
Never happend for me.

> - ekiga segfault in "preferences" with +debug
> --> corrected upstream (malloc -> g_malloc in src/gui/preferences.cpp)
I heard about the fix. That's great. I don't think I will backport the patch for 3.2.0-r1 as it is quite minor.
Comment 138 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-16 02:54:31 UTC
Created attachment 188526 [details]
Ebuild for ekiga-3.2.0 (-r1)

This ebuild is fixing:
- gstreamer support (now available)
- cyrus-sasl bad dependency (now when ldap USE flag enabled)

This ebuild is warning about:
- kde use flag not working. If you try to enable kde use flag, it will pop a warning. Disabling it is not the meaning of an ebuild in an overlay.

This ebuild is not fixing other know issues which are:
- compilation error reported by Bent (waiting for more informations)
- compilation error with kde enabled and kde-4
- configure error with kde enabled and kde-3
- run-time crash when exiting (only in debug ?)
- run-time crash in debug when going to the preference window (fixed upstream)
- ekiga.net unaccessible in certain conditions

As usual, let me know if you find a bug.
Comment 139 Manfred Knick 2009-04-16 05:47:57 UTC
(In reply to comment #138)
>
> Ebuild for ekiga-3.2.0 (-r1)

Thanks, Mounir!

This is just to confirm that your -r1 builds perfectly fine on ~amd64 again.

Kind regards
Manfred
Comment 140 Bent Bagger 2009-04-16 12:39:37 UTC
(In reply to comment #136)
>
> Innocently, and to earn some time, I think you should dump the useflags of
> ptlib,opal and ekiga.
> Maybe a forgotten useflag dependencie of ekiga upon opal ?
>
Here it is. But I have sync'ed the voip overlay since my last compile - conf Mounir's comment #137 (http://bugs.gentoo.org/show_bug.cgi?id=238554#c137) I guess that is the reason for the desire to update ekiga on the part of emerge ;-)

=========================
yosie ~ # emerge -pv ptlib opal ekiga

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] net-libs/ptlib-2.6.1  USE="alsa asn audio http ipv6 oss ssl stun url v4l v4l2 video wav -config-file -debug -dns -doc -dtmf -esd -examples -ffmpeg -ftp -http-forms -http-server -ieee1394 -jabber -ldap -mail -odbc -pch -pipechan -qos -remote -sasl -sdl -serial -shmvideo -snmp -soap -socks -telnet -tts -vxml -xml -xmlrpc" 0 kB [1]
[ebuild   R   ] net-libs/opal-3.6.1  USE="audio h323 ipv6 plugins sip ssl video -capi -debug -dns -doc -dtmf -examples -fax -ffmpeg -g711plc -h224 -iax -ivr -ixj -java -ldap -lid -rfc4103 -rfc4175 -sbc -sipim -srtp -stats -swig -theora -vpb -vxml -wav -x264 -x264-static -xml" 0 kB [1]
[ebuild     U ] net-im/ekiga-3.2.0-r1 [3.2.0] USE="dbus gnome h323 mmx nls shm sip v4l -avahi -debug* -doc -eds -gconf -gstreamer% -kde -kontact -ldap -libnotify -static -xcap -xv" 0 kB [1]
                                                                                                            Total: 3 packages (1 upgrade, 2 reinstalls), Size of downloads: 0 kB
Portage tree and overlays:                                                                                   [0] /usr/portage                                                                                            [1] /usr/portage/local/layman/voip
yosie ~ #
Comment 141 Bent Bagger 2009-04-16 12:53:03 UTC
(In reply to comment #138)
> ...
> This ebuild is not fixing other known issues which are:
> - compilation error reported by Bent (waiting for more information)
> ...

Please see comment #140 above.
Comment 142 Raphaël Droz 2009-04-16 13:12:53 UTC
Created attachment 188561 [details, diff]
patch to avoid the preferences segfault

This patch (based on upstream modifications) avoid the preferences panel from segfaulting with debug activated.
Comment 143 Jason Lamb 2009-04-17 16:07:35 UTC
(In reply to comment #138)
> Created an attachment (id=188526) [edit]
> Ebuild for ekiga-3.2.0 (-r1)
> 

My emerges of the voip overlay ebuilds of ekiga, ptlib, and opal, all fail with similar warnings of not being able to properly inherit their respective eclasses. Emerging regular portage tree, or other voip, packages work fine. I've tried revdep-rebuild-ing, re-emerging portage, python, glibc, and deleting and re-adding the voip overlay several times. I still get;
===========
Calculating dependencies / *
 * ERROR: net-im/ekiga-3.2.0-r1 failed.
 * Call stack:
 *               ebuild.sh, line 1872:  Called _source_ebuild
 *               ebuild.sh, line 1811:  Called source '/usr/local/portage/layman/voip/net-im/ekiga/ekiga-3.2.0-r1.ebuild'
 *   ekiga-3.2.0-r1.ebuild, line    7:  Called inherit 'eutils' 'gnome2'
 *               ebuild.sh, line 1211:  Called die
 * The specific snippet of code:
 *              [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
 *  The die message:
 *   eutils.eclass could not be found by inherit()
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 *
 *
 * ERROR: net-im/ekiga-3.0.2 failed.
 * Call stack:
 *               ebuild.sh, line 1872:  Called _source_ebuild
 *               ebuild.sh, line 1811:  Called source '/usr/local/portage/layman/voip/net-im/ekiga/ekiga-3.0.2.ebuild'
 *      ekiga-3.0.2.ebuild, line    7:  Called inherit 'eutils' 'gnome2'
 *               ebuild.sh, line 1211:  Called die
 * The specific snippet of code:
 *              [ ! -e "$location" ] && die "${1}.eclass could not be found by inherit()"
 *  The die message:
 *   eutils.eclass could not be found by inherit()
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 *
... done!
===========
emerge --info                            
Portage 2.2_rc30 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.29-gentoo-r1 x86_64)
=================================================================                                        
System uname: Linux-2.6.29-gentoo-r1-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T7700_@_2.40GHz-with-gentoo-2.0.0 
Timestamp of tree: Fri, 17 Apr 2009 12:00:05 +0000                                                       
app-shells/bash:     4.0_p17-r1                                                                          
dev-java/java-config: 1.3.7-r1, 2.1.7                                                                    
dev-lang/python:     2.5.4-r2, 2.6.1-r1                                                                  
dev-util/cmake:      2.6.3-r1                                                                            
sys-apps/baselayout: 2.0.0                                                                               
sys-apps/openrc:     0.4.3-r1                                                                            
sys-apps/sandbox:    1.9                                                                                 
sys-devel/autoconf:  2.13, 2.63-r1                                                                       
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                                           
sys-devel/binutils:  2.19.1-r1                                                                           
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en_US en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180--exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/voip /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 apache2 avahi berkdb bluetooth bonjour bzip2 cdda cddax cddb cdio cdr cli cracklib crypt cups dbus divx dri dv dvd dvdr encode esd ffmpeg flac fortran gdbm gif git gpm hal hddtemp iconv ieee1394 imagemagick ipod ipv6 ipw4965 isdnlog jack java jpeg kde lame laptop matroska midi mjpeg mmx mp3 mp4 mpeg mplayer mudflap multilib mysql ncurses networkmanager nfs nls nptl nptlonly nsplugin ntfs nvidia ogg opengl openmp pam pcre pdf perl plasma png pppd pulseaudio python qt4 quicktime readline reflection samba sdl session spl sse sse2 ssl startup-notification subversion svg sysfs tcpd theora threads tiff truetype unicode usbv4l v4l2 vdpau vorbis webkit wmf x264 xfs xml xorg xscreensaver xulrunner xvid zeroconf zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_US en" USERLAND="GNU" VIDEO_CARDS="nv nvidia vga"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 144 Octavian 2009-04-17 18:47:59 UTC
Does anyone has problem with the 3.x.x versions of ekiga behind firewalls?
I can register but I cannot make any calls.

Latest stable gentoo version 2.0.12 is not having these issues.


Comment 145 Raphaël Droz 2009-04-18 14:32:47 UTC
(In reply to comment #144)
> Does anyone has problem with the 3.x.x versions of ekiga behind firewalls?
> I can register but I cannot make any calls.
> 
> Latest stable gentoo version 2.0.12 is not having these issues.
I also have this problem (didn't happen with 2.0)
According the ports I open on the router I can register, but never call.
Comment 146 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-18 17:32:30 UTC
(In reply to comment #143)
> My emerges of the voip overlay ebuilds of ekiga, ptlib, and opal, all fail with
> similar warnings of not being able to properly inherit their respective
> eclasses. Emerging regular portage tree, or other voip, packages work fine.
> I've tried revdep-rebuild-ing, re-emerging portage, python, glibc, and deleting
> and re-adding the voip overlay several times. I still get;
[snip]
> Portage 2.2_rc30 (default/linux/amd64/2008.0, gcc-4.3.3,
[snip]

You are using a masked in development portage version (2.2 branch). May be you should try with a more stable portage version (2.1).

It's definitely not related to the ebuilds.

(In reply to comment #144)
> Does anyone has problem with the 3.x.x versions of ekiga behind firewalls?
> I can register but I cannot make any calls.
> 
> Latest stable gentoo version 2.0.12 is not having these issues.
> 
Neither with 3.0.2 ? which is still in the voip overlay.
Comment 147 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-18 17:37:45 UTC
(In reply to comment #140)
> yosie ~ # emerge -pv ptlib opal ekiga
> 
> These are the packages that would be merged, in order:
> 
> Calculating dependencies... done!
> [ebuild   R   ] net-libs/ptlib-2.6.1  USE="alsa asn audio http ipv6 oss ssl
> stun url v4l v4l2 video wav -config-file -debug -dns -doc -dtmf -esd -examples
> -ffmpeg -ftp -http-forms -http-server -ieee1394 -jabber -ldap -mail -odbc -pch
> -pipechan -qos -remote -sasl -sdl -serial -shmvideo -snmp -soap -socks -telnet
> -tts -vxml -xml -xmlrpc" 0 kB [1]
> [ebuild   R   ] net-libs/opal-3.6.1  USE="audio h323 ipv6 plugins sip ssl video
> -capi -debug -dns -doc -dtmf -examples -fax -ffmpeg -g711plc -h224 -iax -ivr
> -ixj -java -ldap -lid -rfc4103 -rfc4175 -sbc -sipim -srtp -stats -swig -theora
> -vpb -vxml -wav -x264 -x264-static -xml" 0 kB [1]
> [ebuild     U ] net-im/ekiga-3.2.0-r1 [3.2.0] USE="dbus gnome h323 mmx nls shm
> sip v4l -avahi -debug* -doc -eds -gconf -gstreamer% -kde -kontact -ldap
> -libnotify -static -xcap -xv" 0 kB [1]

I have no errors with this USE flags configuration. Your build log let think you did not build ptlib with ASN, XML and DNS support which looks needed.

Can you reproduce this bug with the exact same configuration you've paste here ?
Comment 148 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-04-18 22:27:34 UTC
Created attachment 188836 [details]
Ebuild for ekiga-3.2.0 (-r2)

** Please, use the voip overlay. This attachment is only "for information" **
** Needed patches are not available in this bug because they are now numerous **

This ebuild is fixing:
- kde-3 support. Actually, by removing it because ekiga needs kde-4, it was my mistake.
- kde-4 support. I've wrote a patch fixing the build [1]. I can't test the execution (I built it in my chroot via ssh) but it should be ok.
- crash when opening the preferences window by backporting a patch [2]. Thanks to Raphaël.
- ekiga.net inaccessibility by fixing a bug in the stun launch [3]. I need some feedback but it is working for me now. 

This ebuild is not fixing:
- compilation error reported by Bent because I can't reproduce it.

This ebuild will never fix:
- crash when exiting because it's not a blocker so we will wait for a new release fixing this bug.

This ebuild is also adding ~amd64 support (thanks to Manfred).

So, next step is moving everything to the official tree. I will begin by ptlib and opal, then ekiga. So, please, if there is any issue remaining, let me know.
Especially something that was present/working with ekiga-3.0.2 and not with ekiga-3.2.0 because I will add only ekiga-3.2.0 to the tree.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=577878
[2] http://bugzilla.gnome.org/show_bug.cgi?id=577629
[3] http://bugzilla.gnome.org/show_bug.cgi?id=578883
Comment 149 Bent Bagger 2009-04-19 10:43:38 UTC
(In reply to comment #147)
> 
> I have no errors with this USE flags configuration. Your build log let think
> you did not build ptlib with ASN, XML and DNS support which looks needed.
> 
> Can you reproduce this bug with the exact same configuration you've paste here
> ?
> 
I can compile ekiga now! I added USE flags to ptlib, opal and ekiga, so my package.use now looks like this:

...
net-libs/ptlib wav v4l v4l2 config-file dns dtmf xml
net-libs/opal dns dtmf xml
net-im/ekiga -kde gnome v4l v4l2
...
In addition to the flags you suggested (xml and dns, asn was already enabled) I had to add dtmf to both ptlib and opal. Adding config-file to ptlib made the last compile error (actually a loader/linker error) go away.

BUT - and somebody sees to it that the trees do grow into the heavens - when I run ekiga nothing happens - absolutely nothing. No GUI, no ports being listened on, only an ekiga process running that has to be killed with killall in order to go away.

I have no idea about ekiga not listening on any port, because '-d' doesn't work (old issue). The missing GUI may be explained by both KDE and Gnome being disabled:

================ Final configuration ===================
          Installing into prefix  :  /usr

                   GNOME support  :  disabled
                   GConf support  :  disabled
   Evolution-Data-Server support  :  disabled
                  NOTIFY support  :  disabled
                    LDAP support  :  disabled

                  XVideo support  :  disabled

                   H.323 support  :  yes
                     SIP support  :  yes

                    DBUS support  :  enabled
            DBUS service support  :  enabled
             mDNS/DNS-SD support  :  disabled
               GStreamer support  :  disabled
            KAddressBook support  :  disabled
                     KDE support  :  disabled
                    XCAP support  :  disabled

                         OS Type  :  linux-gnu
                    Machine Type  :  i686
                      Byte Order  :  little endian

 If all settings are OK, type make and make install
========================================================

This is not correct, because I explicitly enable gnome in package.use. Still a little quirk?  

My next step will be to enable KDE in ekiga, although you do not give me much hope for that being a good thing, conf. comment #147

Comment 150 Bent Bagger 2009-04-19 10:47:03 UTC
(In reply to comment #149)
> ... conf. comment #147
> 
Make that a reference to comment #148.

Sorry.
Comment 151 Bent Bagger 2009-04-19 10:56:21 UTC
(In reply to comment #149)
> My next step will be to enable KDE in ekiga, although you do not give me much
> hope for that being a good thing, conf. comment #147
> 
It wasn't:

yosie ~ # PORT_LOGDIR=/var/log/portage emerge -av --newuse ekiga

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy "kde-base/kdelibs:4.2" have been masked.
!!! One of the following masked packages is required to complete your request:
- kde-base/kdelibs-4.2.2-r1 (masked by: ~x86 keyword)
- kde-base/kdelibs-4.2.2 (masked by: ~x86 keyword)


I have no intention to update KDE to version 4 until it is in the official branch, so how do I proceed??? Wait until I can enable Gnome, I assume. Sigh.
Comment 152 Raphaël Droz 2009-04-19 15:15:10 UTC
(In reply to comment #148)
> Created an attachment (id=188836) [edit]
> Ebuild for ekiga-3.2.0 (-r2)
The ebuilds now works fine for me.
- the network is ok if I disable the network detection
- I just need to find out what's the correct number of my mic jack input in my .asoundrc

Really nice work Mounir, merci pour tout !
Comment 153 Aleksandr Yakimov 2009-04-24 18:12:28 UTC
(In reply to comment #148)
> Created an attachment (id=188836) [edit]
> Ebuild for ekiga-3.2.0 (-r2)
> 
> 
> This ebuild is also adding ~amd64 support (thanks to Manfred).
> 
This is a very experimental. On ~amd64 H263 is broken (seemes to be a ffmpeg problem)
Comment 154 Octavian 2009-04-24 20:16:47 UTC
opal-3.4.5 while installing ekiga 3.0.2. 

Does the following errors ring a bell?


make[2]: Leaving directory `/var/tmp/portage/net-libs/opal-3.4.5/work/opal-3.4.5/plugins/video/H.263-1998'
make[2]: Entering directory `/var/tmp/portage/net-libs/opal-3.4.5/work/opal-3.4.5/plugins/video/MPEG4-ffmpeg'
i686-pc-linux-gnu-g++ -I../../../include  -I../common -I../../ -I/usr/include -I/usr/include/libavutil -fPIC  -Os -march=i686 -mmmx -msse -msse2 -msse3 -O2 -pipe -fomit-frame-pointer  -c mpeg4.cxx -o obj/mpeg4.o
mpeg4.cxx:100:36: error: libavutil/intreadwrite.h: No such file or directory
mpeg4.cxx:101:29: error: libavutil/bswap.h: No such file or directory
mpeg4.cxx:102:34: error: libavcodec/mpegvideo.h: No such file or directory
mpeg4.cxx: In member function ‘void MPEG4EncoderContext::ResetBitCounter(int)’:
mpeg4.cxx:549: error: ‘MpegEncContext’ was not declared in this scope
mpeg4.cxx:549: error: ‘s’ was not declared in this scope
mpeg4.cxx:549: error: expected primary-expression before ‘)’ token
mpeg4.cxx:549: error: expected `;' before ‘_avcontext’
mpeg4.cxx: In member function ‘void MPEG4EncoderContext::SetDynamicEncodingParams(bool)’:
mpeg4.cxx:661: warning: converting to ‘int’ from ‘double’
mpeg4.cxx: In member function ‘bool MPEG4DecoderContext::DecoderError(int)’:
mpeg4.cxx:1365: error: ‘MpegEncContext’ was not declared in this scope
mpeg4.cxx:1365: error: ‘s’ was not declared in this scope
mpeg4.cxx:1365: error: expected primary-expression before ‘)’ token
mpeg4.cxx:1365: error: expected `;' before ‘_avcontext’
mpeg4.cxx:1367: error: ‘AC_ERROR’ was not declared in this scope
mpeg4.cxx:1367: error: ‘DC_ERROR’ was not declared in this scope
mpeg4.cxx:1367: error: ‘MV_ERROR’ was not declared in this scope
make[2]: *** [obj/mpeg4.o] Error 1
make[2]: Leaving directory `/var/tmp/portage/net-libs/opal-3.4.5/work/opal-3.4.5/plugins/video/MPEG4-ffmpeg'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/var/tmp/portage/net-libs/opal-3.4.5/work/opal-3.4.5/plugins'
make: *** [subdirs] Error 2
 *
 * ERROR: net-libs/opal-3.4.5 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 2935:  Called die
 * The specific snippet of code:
 *       emake ${makeopts} || die "emake failed"
 *  The die message:
 *   emake failed
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/net-libs/opal-3.4.5/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/net-libs/opal-3.4.5/temp/environment'.
 * This ebuild is from a repository named 'voip'
 *
Comment 155 Martin Swift 2009-05-07 04:20:38 UTC
(In reply to comment #154)
> opal-3.4.5 while installing ekiga 3.0.2. 
> 
> Does the following errors ring a bell?
[...]

I'm gettig the same using the voip overlay ebuild.
Comment 156 Kilian 2009-05-20 10:04:00 UTC
New Versions of ekiga are out, see http://www.ekiga.org/

Would be nice to have ebuild for them.
Btw, great work here Mounir :-)
Comment 157 dongxu li 2009-05-21 05:38:59 UTC
Created attachment 191984 [details]
ptlib-2.6.2.ebuild

ptlib-2.6.2
Comment 158 dongxu li 2009-05-21 05:39:49 UTC
Created attachment 191985 [details]
opal-3.6.2.ebuild

opal-3.6.2
Comment 159 dongxu li 2009-05-21 05:41:01 UTC
Created attachment 191986 [details]
ekiga-3.2.1.ebuild

ekiga-3.2.1, (requires ptlib-2.6.2 and opal-3.6.2)
Comment 160 dongxu li 2009-05-21 21:42:35 UTC
(In reply to comment #159)
> Created an attachment (id=191986) [edit]
> ekiga-3.2.1.ebuild
> 
> ekiga-3.2.1, (requires ptlib-2.6.2 and opal-3.6.2)
> 

rename it to 3.2.4, the newest stable release
Comment 161 John Christian Stoddart (RETIRED) gentoo-dev 2009-05-28 00:01:39 UTC
Shouldn't the correct category for ptlib be dev-libs? If so, change the lines where net-libs/ptlib is called in the opal and ekiga ebuilds to dev-libs/ptlib and everything should be OK ;-)
Comment 162 Alex Barker 2009-06-17 06:03:03 UTC
Ahhhh well you guys have a block:

[blocks B     ] dev-libs/pwlib ("dev-libs/pwlib" is blocking net-voip/ptlib-2.6.2)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'dev-libs/pwlib-1.10.10-r1', 'merge') pulled in by
    ~dev-libs/pwlib-1.10.10[ldap] required by ('ebuild', '/', 'net-voip/ekiga-2.0.12', 'merge')
    ~dev-libs/pwlib-1.10.10 required by ('ebuild', '/', 'net-libs/opal-2.2.11', 'merge')

  ('ebuild', '/', 'net-voip/ptlib-2.6.2', 'merge') pulled in by
    ptlib
Comment 163 dongxu li 2009-06-20 02:31:45 UTC
emerge -C pwlib

(In reply to comment #162)
> Ahhhh well you guys have a block:
> 
> [blocks B     ] dev-libs/pwlib ("dev-libs/pwlib" is blocking
> net-voip/ptlib-2.6.2)
> 
>  * Error: The above package list contains packages which cannot be
>  * installed at the same time on the same system.
> 
>   ('ebuild', '/', 'dev-libs/pwlib-1.10.10-r1', 'merge') pulled in by
>     ~dev-libs/pwlib-1.10.10[ldap] required by ('ebuild', '/',
> 'net-voip/ekiga-2.0.12', 'merge')
>     ~dev-libs/pwlib-1.10.10 required by ('ebuild', '/', 'net-libs/opal-2.2.11',
> 'merge')
> 
>   ('ebuild', '/', 'net-voip/ptlib-2.6.2', 'merge') pulled in by
>     ptlib
> 

Comment 164 Mounir Lamouri (volkmar) (RETIRED) gentoo-dev 2009-07-03 11:38:39 UTC
ekiga-3.2.4 have just been added to the official tree.
If it's not available to your arch, please look at bug 276355
Comment 165 dongxu li 2009-07-11 20:53:30 UTC
(In reply to comment #164)
> ekiga-3.2.4 have just been added to the official tree.
> If it's not available to your arch, please look at bug 276355
> 

ekiga-3.2.5 is out,

depends on ptlib-2.6.4 opal-3.6.4